searchData={"items":[{"type":"module","title":"GoogleApi.SecurityCenter.V1","doc":"API client metadata for GoogleApi.SecurityCenter.V1.","ref":"GoogleApi.SecurityCenter.V1.html"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.discovery_revision/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Api.Folders","doc":"API calls for all endpoints tagged `Folders`.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_group/4","doc":"Filters an organization's assets and groups them by their specified properties.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent to group the assets by. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_list/4","doc":"Lists an organization's assets.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource that contains the assets. The value that you can specify on parent depends on the method in which you specify parent. You can specify one of the following values: `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: * \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. * \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. * \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: * name * security_center_properties.resource_name * resource_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: * name: `=` * update_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` * create_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` * iam_policy.policy_blob: `=`, `:` * resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=` * security_marks.marks: `=`, `:` * security_center_properties.resource_name: `=`, `:` * security_center_properties.resource_display_name: `=`, `:` * security_center_properties.resource_type: `=`, `:` * security_center_properties.resource_parent: `=`, `:` * security_center_properties.resource_parent_display_name: `=`, `:` * security_center_properties.resource_project: `=`, `:` * security_center_properties.resource_project_display_name: `=`, `:` * security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_assets_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_assets_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_create/4","doc":"Creates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource of the new BigQuery export. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:bigQueryExportId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_delete/4","doc":"Deletes an existing BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the BigQuery export to delete. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_get/4","doc":"Gets a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the BigQuery export to retrieve. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_list/4","doc":"Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of BigQuery exports. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_patch/4","doc":"Updates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_big_query_exports_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_big_query_exports_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_create/4","doc":"Creates a resident Event Threat Detection custom module at the scope of the given Resource Manager parent, and also creates inherited custom modules for all descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The new custom module's parent. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4","doc":"Deletes the specified Event Threat Detection custom module and all of its descendants in the Resource Manager hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_get/4","doc":"Gets an Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list/4","doc":"Lists all Event Threat Detection custom modules for the given Resource Manager parent. This includes resident modules defined at the scope of the parent along with modules inherited from ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"Lists all resident Event Threat Detection custom modules under the given Resource Manager parent and its descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListDescendantEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDescendantEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4","doc":"Updates the Event Threat Detection custom module with the given name based on the given update mask. Updating the enablement state is supported for both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name or configuration of a module is supported for resident modules only. The type of a module cannot be changed.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4","doc":"Gets an effective Event Threat Detection custom module at the given level.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the effective Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/effectiveCustomModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4","doc":"Lists all effective Event Threat Detection custom modules for the given parent. This includes resident modules defined at the scope of the parent along with modules inherited from its ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules for. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEffectiveEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEffectiveEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_validate_custom_module/4","doc":"Validates the given Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_validate_custom_module/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_validate_custom_module/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent to validate the Custom Module under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_validate_custom_module/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_event_threat_detection_settings_validate_custom_module/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_event_threat_detection_settings_validate_custom_module/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_findings_bulk_mute/4","doc":"Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_findings_bulk_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_findings_bulk_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, at which bulk action needs to be applied. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_findings_bulk_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_findings_bulk_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_findings_bulk_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_locations_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_locations_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_create/4","doc":"Creates a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new notification config's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:configId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must be between 1 and 128 characters and contain alphanumeric characters, underscores, or hyphens only.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_delete/4","doc":"Deletes a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to delete. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_get/4","doc":"Gets a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to get. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_list/4","doc":"Lists notification configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent in which to list the notification configurations. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListNotificationConfigsResponse`; indicates that this is a continuation of a prior `ListNotificationConfigs` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_patch/4","doc":"Updates a notification config. The following update fields are allowed: description, pubsub_topic, streaming_config.filter","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\", \"folders/{folder_id}/notificationConfigs/notify_public_bucket\", or \"projects/{project_id}/notificationConfigs/notify_public_bucket\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the notification config. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_notification_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_notification_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_create/4","doc":"Creates a resident SecurityHealthAnalyticsCustomModule at the scope of the given CRM parent, and also creates inherited SecurityHealthAnalyticsCustomModules for all CRM descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new custom module's parent. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4","doc":"Deletes the specified SecurityHealthAnalyticsCustomModule and all of its descendants in the CRM hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_get/4","doc":"Retrieves a SecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list/4","doc":"Returns a list of all SecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"Returns a list of all resident SecurityHealthAnalyticsCustomModules under the given CRM parent and all of the parent’s CRM descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list descendant custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4","doc":"Updates the SecurityHealthAnalyticsCustomModule under the given name based on the given update mask. Updating the enablement state is supported on both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name and custom config of a module is supported on resident modules only.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the custom module. Its format is \"organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}\" The id {customModule} is server-generated and is not user settable. It will be a numeric id containing 1-20 digits.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. The only fields that can be updated are `enablement_state` and `custom_config`. If empty or set to the wildcard value `*`, both `enablement_state` and `custom_config` are updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4","doc":"Simulates a given SecurityHealthAnalyticsCustomModule and Resource.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the organization, project, or folder. For more information about relative resource names, see [Relative Resource Name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) Example: `organizations/{organization_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_custom_modules_simulate/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4","doc":"Retrieves an EffectiveSecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the effective custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4","doc":"Returns a list of all EffectiveSecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list effective custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_security_health_analytics_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_external_systems_patch/4","doc":"Updates external system. This is for a given finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_external_systems_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_external_systems_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Full resource name of the external system, for example: \"organizations/1234/sources/5678/findings/123456/externalSystems/jira\", \"folders/1234/sources/5678/findings/123456/externalSystems/jira\", \"projects/1234/sources/5678/findings/123456/externalSystems/jira\"\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_external_systems_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_external_systems_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_external_systems_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_group/4","doc":"Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source to groupBy. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To groupBy across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-`, or `projects/{project_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_list/4","doc":"Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source the findings belong to. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To list across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-`, `folders/{folder_id}/sources/-` or `projects/{projects_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: * \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. * \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. * \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. * \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: * name * source_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: * name: `=` * parent: `=`, `:` * resource_name: `=`, `:` * state: `=`, `:` * category: `=`, `:` * external_uri: `=`, `:` * event_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` * severity: `=`, `:` * workflow_state: `=`, `:` * security_marks.marks: `=`, `:` * source_properties: `=`, `:`, `>`, `<`, `>=`, `<=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` * resource: * resource.name: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.type: `=`, `:` * resource.folders.resource_folder: `=`, `:` * resource.display_name: `=`, `:`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_patch/4","doc":"Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\", \"projects/{project_id}/sources/{source_id}/findings/{finding_id}\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_mute/4","doc":"Updates the mute state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_state/4","doc":"Updates the state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_state/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_state/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_state/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_set_state/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_set_state/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_findings_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_findings_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_list/4","doc":"Lists all sources belonging to an organization.","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent of sources to list. Its format should be `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Folders.securitycenter_folders_sources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Folders.html#securitycenter_folders_sources_list/4-returns"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Api.Organizations","doc":"API calls for all endpoints tagged `Organizations`.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_group/4","doc":"Filters an organization's assets and groups them by their specified properties.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent to group the assets by. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_list/4","doc":"Lists an organization's assets.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource that contains the assets. The value that you can specify on parent depends on the method in which you specify parent. You can specify one of the following values: `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: * \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. * \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. * \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: * name * security_center_properties.resource_name * resource_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: * name: `=` * update_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` * create_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` * iam_policy.policy_blob: `=`, `:` * resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=` * security_marks.marks: `=`, `:` * security_center_properties.resource_name: `=`, `:` * security_center_properties.resource_display_name: `=`, `:` * security_center_properties.resource_type: `=`, `:` * security_center_properties.resource_parent: `=`, `:` * security_center_properties.resource_parent_display_name: `=`, `:` * security_center_properties.resource_project: `=`, `:` * security_center_properties.resource_project_display_name: `=`, `:` * security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_run_discovery/4","doc":"Runs asset discovery. The discovery is tracked with a long-running operation. This API can only be called with limited frequency for an organization. If it is called too frequently the caller will receive a TOO_MANY_REQUESTS error.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_run_discovery/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_run_discovery/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the organization to run asset discovery for. Its format is `organizations/[organization_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_run_discovery/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_run_discovery/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_run_discovery/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_assets_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_assets_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_create/4","doc":"Creates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource of the new BigQuery export. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:bigQueryExportId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_delete/4","doc":"Deletes an existing BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the BigQuery export to delete. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_get/4","doc":"Gets a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the BigQuery export to retrieve. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_list/4","doc":"Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of BigQuery exports. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_patch/4","doc":"Updates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_big_query_exports_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_big_query_exports_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4","doc":"Creates a resident Event Threat Detection custom module at the scope of the given Resource Manager parent, and also creates inherited custom modules for all descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The new custom module's parent. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4","doc":"Deletes the specified Event Threat Detection custom module and all of its descendants in the Resource Manager hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4","doc":"Gets an Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4","doc":"Lists all Event Threat Detection custom modules for the given Resource Manager parent. This includes resident modules defined at the scope of the parent along with modules inherited from ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"Lists all resident Event Threat Detection custom modules under the given Resource Manager parent and its descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListDescendantEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDescendantEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4","doc":"Updates the Event Threat Detection custom module with the given name based on the given update mask. Updating the enablement state is supported for both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name or configuration of a module is supported for resident modules only. The type of a module cannot be changed.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4","doc":"Gets an effective Event Threat Detection custom module at the given level.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the effective Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/effectiveCustomModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4","doc":"Lists all effective Event Threat Detection custom modules for the given parent. This includes resident modules defined at the scope of the parent along with modules inherited from its ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules for. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEffectiveEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEffectiveEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4","doc":"Validates the given Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent to validate the Custom Module under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_event_threat_detection_settings_validate_custom_module/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_findings_bulk_mute/4","doc":"Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_findings_bulk_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_findings_bulk_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, at which bulk action needs to be applied. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_findings_bulk_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_findings_bulk_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_findings_bulk_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_get_organization_settings/4","doc":"Gets the settings for an organization.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_get_organization_settings/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_get_organization_settings/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the organization to get organization settings for. Its format is `organizations/[organization_id]/organizationSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_get_organization_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_get_organization_settings/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.OrganizationSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_get_organization_settings/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_locations_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_locations_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_create/4","doc":"Creates a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new notification config's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:configId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must be between 1 and 128 characters and contain alphanumeric characters, underscores, or hyphens only.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_delete/4","doc":"Deletes a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to delete. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_get/4","doc":"Gets a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to get. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_list/4","doc":"Lists notification configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent in which to list the notification configurations. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListNotificationConfigsResponse`; indicates that this is a continuation of a prior `ListNotificationConfigs` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_patch/4","doc":"Updates a notification config. The following update fields are allowed: description, pubsub_topic, streaming_config.filter","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\", \"folders/{folder_id}/notificationConfigs/notify_public_bucket\", or \"projects/{project_id}/notificationConfigs/notify_public_bucket\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the notification config. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_notification_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_notification_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_operations_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_operations_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_batch_create/4","doc":"Creates a ResourceValueConfig for an organization. Maps user's tags to difference resource values for use by the attack path simulation.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_batch_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_batch_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new ResourceValueConfig's parent. The parent field in the CreateResourceValueConfigRequest messages must either be empty or match this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_batch_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_batch_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_batch_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_delete/4","doc":"Deletes a ResourceValueConfig.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the ResourceValueConfig to delete\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_get/4","doc":"Gets a ResourceValueConfig.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the resource value config to retrieve. Its format is `organizations/{organization}/resourceValueConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_list/4","doc":"Lists all ResourceValueConfigs.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of resource value configs. Its format is `organizations/[organization_id]`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The number of results to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListResourceValueConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListResourceValueConfigs` must match the call that provided the page token. page_size can be specified, and the new page_size will be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_patch/4","doc":"Updates an existing ResourceValueConfigs with new rules.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Name for the resource value configuration\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_resource_value_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_resource_value_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4","doc":"Creates a resident SecurityHealthAnalyticsCustomModule at the scope of the given CRM parent, and also creates inherited SecurityHealthAnalyticsCustomModules for all CRM descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new custom module's parent. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4","doc":"Deletes the specified SecurityHealthAnalyticsCustomModule and all of its descendants in the CRM hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4","doc":"Retrieves a SecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4","doc":"Returns a list of all SecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"Returns a list of all resident SecurityHealthAnalyticsCustomModules under the given CRM parent and all of the parent’s CRM descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list descendant custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4","doc":"Updates the SecurityHealthAnalyticsCustomModule under the given name based on the given update mask. Updating the enablement state is supported on both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name and custom config of a module is supported on resident modules only.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the custom module. Its format is \"organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}\" The id {customModule} is server-generated and is not user settable. It will be a numeric id containing 1-20 digits.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. The only fields that can be updated are `enablement_state` and `custom_config`. If empty or set to the wildcard value `*`, both `enablement_state` and `custom_config` are updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4","doc":"Simulates a given SecurityHealthAnalyticsCustomModule and Resource.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the organization, project, or folder. For more information about relative resource names, see [Relative Resource Name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) Example: `organizations/{organization_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_custom_modules_simulate/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4","doc":"Retrieves an EffectiveSecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the effective custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4","doc":"Returns a list of all EffectiveSecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list effective custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_security_health_analytics_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4","doc":"Lists the attack paths for a set of simulation results or valued resources and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list attack paths. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}` `organizations/{organization}/simulations/{simulation}/valuedResources/{valued_resource}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the attack path in the response. Supported fields: * `valued_resources` supports =\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAttackPathsResponse`; indicates that this is a continuation of a prior `ListAttackPaths` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_attack_paths_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4","doc":"Lists the valued resources for a set of simulation results and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list valued resources. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the valued resources in the response. Supported fields: * `resource_value` supports = * `resource_type` supports =\n    *   `:orderBy` (*type:* `String.t`) - Optional. The fields by which to order the valued resources response. Supported fields: * `exposed_score` * `resource_value` * `resource_type` * `resource` * `display_name` Values should be a comma separated list of fields. For example: `exposed_score,resource_value`. The default sorting order is descending. To specify ascending or descending order for a field, append a ` ASC` or a ` DESC` suffix, respectively; for example: `exposed_score DESC`.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListValuedResourcesResponse`; indicates that this is a continuation of a prior `ListValuedResources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_exposure_results_valued_resources_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_paths_list/4","doc":"Lists the attack paths for a set of simulation results or valued resources and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_paths_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_paths_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list attack paths. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}` `organizations/{organization}/simulations/{simulation}/valuedResources/{valued_resource}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the attack path in the response. Supported fields: * `valued_resources` supports =\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAttackPathsResponse`; indicates that this is a continuation of a prior `ListAttackPaths` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_paths_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_attack_paths_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_attack_paths_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_get/4","doc":"Get the simulation by name or the latest simulation for the given organization.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The organization name or simulation name of this simulation Valid format: `organizations/{organization}/simulations/latest` `organizations/{organization}/simulations/{simulation}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Simulation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_attack_paths_list/4","doc":"Lists the attack paths for a set of simulation results or valued resources and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_attack_paths_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_attack_paths_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list attack paths. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}` `organizations/{organization}/simulations/{simulation}/valuedResources/{valued_resource}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the attack path in the response. Supported fields: * `valued_resources` supports =\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAttackPathsResponse`; indicates that this is a continuation of a prior `ListAttackPaths` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_attack_paths_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_attack_paths_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_attack_paths_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_get/4","doc":"Get the valued resource by name","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of this valued resource Valid format: `organizations/{organization}/simulations/{simulation}/valuedResources/{valued_resource}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ValuedResource{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_list/4","doc":"Lists the valued resources for a set of simulation results and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list valued resources. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the valued resources in the response. Supported fields: * `resource_value` supports = * `resource_type` supports =\n    *   `:orderBy` (*type:* `String.t`) - Optional. The fields by which to order the valued resources response. Supported fields: * `exposed_score` * `resource_value` * `resource_type` * `resource` * `display_name` Values should be a comma separated list of fields. For example: `exposed_score,resource_value`. The default sorting order is descending. To specify ascending or descending order for a field, append a ` ASC` or a ` DESC` suffix, respectively; for example: `exposed_score DESC`.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListValuedResourcesResponse`; indicates that this is a continuation of a prior `ListValuedResources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_simulations_valued_resources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_simulations_valued_resources_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_create/4","doc":"Creates a source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new source's parent. Its format should be `organizations/[organization_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Source.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Source{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_create/4","doc":"Creates a finding. The corresponding source must exist for finding creation to succeed.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new finding's parent. Its format should be `organizations/[organization_id]/sources/[source_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:findingId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must be alphanumeric and less than or equal to 32 characters and greater than 0 characters in length.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_external_systems_patch/4","doc":"Updates external system. This is for a given finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_external_systems_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_external_systems_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Full resource name of the external system, for example: \"organizations/1234/sources/5678/findings/123456/externalSystems/jira\", \"folders/1234/sources/5678/findings/123456/externalSystems/jira\", \"projects/1234/sources/5678/findings/123456/externalSystems/jira\"\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_external_systems_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_external_systems_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_external_systems_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_group/4","doc":"Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source to groupBy. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To groupBy across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-`, or `projects/{project_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_list/4","doc":"Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source the findings belong to. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To list across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-`, `folders/{folder_id}/sources/-` or `projects/{projects_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: * \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. * \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. * \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. * \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: * name * source_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: * name: `=` * parent: `=`, `:` * resource_name: `=`, `:` * state: `=`, `:` * category: `=`, `:` * external_uri: `=`, `:` * event_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` * severity: `=`, `:` * workflow_state: `=`, `:` * security_marks.marks: `=`, `:` * source_properties: `=`, `:`, `>`, `<`, `>=`, `<=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` * resource: * resource.name: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.type: `=`, `:` * resource.folders.resource_folder: `=`, `:` * resource.display_name: `=`, `:`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_patch/4","doc":"Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\", \"projects/{project_id}/sources/{source_id}/findings/{finding_id}\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_mute/4","doc":"Updates the mute state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_state/4","doc":"Updates the state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_state/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_state/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_state/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_set_state/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_set_state/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_findings_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_findings_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get/4","doc":"Gets a source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Relative resource name of the source. Its format is `organizations/[organization_id]/source/[source_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Source{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get_iam_policy/4","doc":"Gets the access control policy on the specified Source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_get_iam_policy/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_get_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_list/4","doc":"Lists all sources belonging to an organization.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent of sources to list. Its format should be `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_patch/4","doc":"Updates a source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the source resource. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Source.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Source{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_set_iam_policy/4","doc":"Sets the access control policy on the specified Source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_set_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_set_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_set_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_set_iam_policy/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_set_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_test_iam_permissions/4","doc":"Returns the permissions that a caller has on the specified source.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_test_iam_permissions/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_test_iam_permissions/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_test_iam_permissions/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_sources_test_iam_permissions/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_sources_test_iam_permissions/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_update_organization_settings/4","doc":"Updates an organization's settings.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_update_organization_settings/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_update_organization_settings/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the settings resource. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_update_organization_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_update_organization_settings/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.OrganizationSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_update_organization_settings/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_valued_resources_list/4","doc":"Lists the valued resources for a set of simulation results and filter.","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_valued_resources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_valued_resources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list valued resources. Valid formats: `organizations/{organization}`, `organizations/{organization}/simulations/{simulation}` `organizations/{organization}/simulations/{simulation}/attackExposureResults/{attack_exposure_result_v2}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression that filters the valued resources in the response. Supported fields: * `resource_value` supports = * `resource_type` supports =\n    *   `:orderBy` (*type:* `String.t`) - Optional. The fields by which to order the valued resources response. Supported fields: * `exposed_score` * `resource_value` * `resource_type` * `resource` * `display_name` Values should be a comma separated list of fields. For example: `exposed_score,resource_value`. The default sorting order is descending. To specify ascending or descending order for a field, append a ` ASC` or a ` DESC` suffix, respectively; for example: `exposed_score DESC`.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListValuedResourcesResponse`; indicates that this is a continuation of a prior `ListValuedResources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_valued_resources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Organizations.securitycenter_organizations_valued_resources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Organizations.html#securitycenter_organizations_valued_resources_list/4-returns"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_group/4","doc":"Filters an organization's assets and groups them by their specified properties.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent to group the assets by. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_list/4","doc":"Lists an organization's assets.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource that contains the assets. The value that you can specify on parent depends on the method in which you specify parent. You can specify one of the following values: `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListAssetsResult's \"state_change\" attribute is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: * \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at read_time. * \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at read_time. * \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the ListAssetsResult fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: * name * security_center_properties.resource_name * resource_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following are the allowed field and operator combinations: * name: `=` * update_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` * create_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` * iam_policy.policy_blob: `=`, `:` * resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=` * security_marks.marks: `=`, `:` * security_center_properties.resource_name: `=`, `:` * security_center_properties.resource_display_name: `=`, `:` * security_center_properties.resource_type: `=`, `:` * security_center_properties.resource_parent: `=`, `:` * security_center_properties.resource_parent_display_name: `=`, `:` * security_center_properties.resource_project: `=`, `:` * security_center_properties.resource_project_display_name: `=`, `:` * security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,resource_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,resource_properties.a_property\" and \" name desc , resource_properties.a_property \" are equivalent. The following fields are supported: name update_time resource_properties security_marks.marks security_center_properties.resource_name security_center_properties.resource_display_name security_center_properties.resource_parent security_center_properties.resource_parent_display_name security_center_properties.resource_project security_center_properties.resource_project_display_name security_center_properties.resource_type\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListAssetsResponse`; indicates that this is a continuation of a prior `ListAssets` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_assets_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_assets_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_create/4","doc":"Creates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent resource of the new BigQuery export. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:bigQueryExportId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_delete/4","doc":"Deletes an existing BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the BigQuery export to delete. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_get/4","doc":"Gets a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the BigQuery export to retrieve. Its format is `organizations/{organization}/bigQueryExports/{export_id}`, `folders/{folder}/bigQueryExports/{export_id}`, or `projects/{project}/bigQueryExports/{export_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_list/4","doc":"Lists BigQuery exports. Note that when requesting BigQuery exports at a given level all exports under that level are also returned e.g. if requesting BigQuery exports under a folder, then all BigQuery exports immediately under the folder plus the ones created under the projects within the folder are returned.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of BigQuery exports. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListBigQueryExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBigQueryExports` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_patch/4","doc":"Updates a BigQuery export.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_big_query_exports_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_big_query_exports_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_create/4","doc":"Creates a resident Event Threat Detection custom module at the scope of the given Resource Manager parent, and also creates inherited custom modules for all descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The new custom module's parent. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4","doc":"Deletes the specified Event Threat Detection custom module and all of its descendants in the Resource Manager hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_get/4","doc":"Gets an Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list/4","doc":"Lists all Event Threat Detection custom modules for the given Resource Manager parent. This includes resident modules defined at the scope of the parent along with modules inherited from ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"Lists all resident Event Threat Detection custom modules under the given Resource Manager parent and its descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListDescendantEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDescendantEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4","doc":"Updates the Event Threat Detection custom module with the given name based on the given update mask. Updating the enablement state is supported for both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name or configuration of a module is supported for resident modules only. The type of a module cannot be changed.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4","doc":"Gets an effective Event Threat Detection custom module at the given level.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the effective Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/effectiveCustomModules/{module}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4","doc":"Lists all effective Event Threat Detection custom modules for the given parent. This includes resident modules defined at the scope of the parent along with modules inherited from its ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the parent to list custom modules for. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListEffectiveEventThreatDetectionCustomModules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListEffectiveEventThreatDetectionCustomModules` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_validate_custom_module/4","doc":"Validates the given Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_validate_custom_module/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_validate_custom_module/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent to validate the Custom Module under. Its format is: * `organizations/{organization}/eventThreatDetectionSettings`. * `folders/{folder}/eventThreatDetectionSettings`. * `projects/{project}/eventThreatDetectionSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_validate_custom_module/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_event_threat_detection_settings_validate_custom_module/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_event_threat_detection_settings_validate_custom_module/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_findings_bulk_mute/4","doc":"Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_findings_bulk_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_findings_bulk_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, at which bulk action needs to be applied. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_findings_bulk_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_findings_bulk_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_findings_bulk_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_locations_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_locations_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_create/4","doc":"Creates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new mute configs's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:muteConfigId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_delete/4","doc":"Deletes an existing mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to delete. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_get/4","doc":"Gets a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the mute config to retrieve. Its format is `organizations/{organization}/muteConfigs/{config_id}`, `folders/{folder}/muteConfigs/{config_id}`, `projects/{project}/muteConfigs/{config_id}`, `organizations/{organization}/locations/global/muteConfigs/{config_id}`, `folders/{folder}/locations/global/muteConfigs/{config_id}`, or `projects/{project}/locations/global/muteConfigs/{config_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_list/4","doc":"Lists mute configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListMuteConfigs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListMuteConfigs` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_patch/4","doc":"Updates a mute config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_mute_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_mute_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_create/4","doc":"Creates a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new notification config's parent. Its format is `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:configId` (*type:* `String.t`) - Required. Unique identifier provided by the client within the parent scope. It must be between 1 and 128 characters and contain alphanumeric characters, underscores, or hyphens only.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_delete/4","doc":"Deletes a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to delete. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_get/4","doc":"Gets a notification config.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the notification config to get. Its format is `organizations/[organization_id]/notificationConfigs/[config_id]`, `folders/[folder_id]/notificationConfigs/[config_id]`, or `projects/[project_id]/notificationConfigs/[config_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_list/4","doc":"Lists notification configs.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent in which to list the notification configurations. Its format is \"organizations/[organization_id]\", \"folders/[folder_id]\", or \"projects/[project_id]\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListNotificationConfigsResponse`; indicates that this is a continuation of a prior `ListNotificationConfigs` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_patch/4","doc":"Updates a notification config. The following update fields are allowed: description, pubsub_topic, streaming_config.filter","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\", \"folders/{folder_id}/notificationConfigs/notify_public_bucket\", or \"projects/{project_id}/notificationConfigs/notify_public_bucket\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the notification config. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_notification_configs_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.NotificationConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_notification_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_create/4","doc":"Creates a resident SecurityHealthAnalyticsCustomModule at the scope of the given CRM parent, and also creates inherited SecurityHealthAnalyticsCustomModules for all CRM descendants of the given parent. These modules are enabled by default.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_create/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_create/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the new custom module's parent. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_create/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_create/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4","doc":"Deletes the specified SecurityHealthAnalyticsCustomModule and all of its descendants in the CRM hierarchy. This method is only supported for resident custom modules.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to delete. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_delete/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_get/4","doc":"Retrieves a SecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list/4","doc":"Returns a list of all SecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"Returns a list of all resident SecurityHealthAnalyticsCustomModules under the given CRM parent and all of the parent’s CRM descendants.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list descendant custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_list_descendant/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4","doc":"Updates the SecurityHealthAnalyticsCustomModule under the given name based on the given update mask. Updating the enablement state is supported on both resident and inherited modules (though resident modules cannot have an enablement state of \"inherited\"). Updating the display name and custom config of a module is supported on resident modules only.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the custom module. Its format is \"organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}\" The id {customModule} is server-generated and is not user settable. It will be a numeric id containing 1-20 digits.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to be updated. The only fields that can be updated are `enablement_state` and `custom_config`. If empty or set to the wildcard value `*`, both `enablement_state` and `custom_config` are updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4","doc":"Simulates a given SecurityHealthAnalyticsCustomModule and Resource.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The relative resource name of the organization, project, or folder. For more information about relative resource names, see [Relative Resource Name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) Example: `organizations/{organization_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_custom_modules_simulate/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4","doc":"Retrieves an EffectiveSecurityHealthAnalyticsCustomModule.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the effective custom module to get. Its format is `organizations/{organization}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, `folders/{folder}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`, or `projects/{project}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_get/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4","doc":"Returns a list of all EffectiveSecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of parent to list effective custom modules. Its format is `organizations/{organization}/securityHealthAnalyticsSettings`, `folders/{folder}/securityHealthAnalyticsSettings`, or `projects/{project}/securityHealthAnalyticsSettings`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last call indicating a continuation\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_security_health_analytics_settings_effective_custom_modules_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_external_systems_patch/4","doc":"Updates external system. This is for a given finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_external_systems_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_external_systems_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Full resource name of the external system, for example: \"organizations/1234/sources/5678/findings/123456/externalSystems/jira\", \"folders/1234/sources/5678/findings/123456/externalSystems/jira\", \"projects/1234/sources/5678/findings/123456/externalSystems/jira\"\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_external_systems_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_external_systems_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_external_systems_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_group/4","doc":"Filters an organization or source's findings and groups them by their specified properties. To group across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings, /v1/folders/{folder_id}/sources/-/findings, /v1/projects/{project_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_group/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_group/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source to groupBy. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To groupBy across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-, folders/{folder_id}/sources/-`, or `projects/{project_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_group/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_group/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_group/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_list/4","doc":"Lists an organization or source's findings. To list across all sources provide a `-` as the source id. Example: /v1/organizations/{organization_id}/sources/-/findings","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Name of the source the findings belong to. Its format is `organizations/[organization_id]/sources/[source_id]`, `folders/[folder_id]/sources/[source_id]`, or `projects/[project_id]/sources/[source_id]`. To list across all sources provide a source_id of `-`. For example: `organizations/{organization_id}/sources/-`, `folders/{folder_id}/sources/-` or `projects/{projects_id}/sources/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:compareDuration` (*type:* `String.t`) - When compare_duration is set, the ListFindingsResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added in any state during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: * \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. * \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. * \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. * \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time.\n    *   `:fieldMask` (*type:* `String.t`) - A field mask to specify the Finding fields to be listed in the response. An empty field mask will list all fields.\n    *   `:filter` (*type:* `String.t`) - Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: * name * source_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: * name: `=` * parent: `=`, `:` * resource_name: `=`, `:` * state: `=`, `:` * category: `=`, `:` * external_uri: `=`, `:` * event_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` * severity: `=`, `:` * workflow_state: `=`, `:` * security_marks.marks: `=`, `:` * source_properties: `=`, `:`, `>`, `<`, `>=`, `<=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` * resource: * resource.name: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.type: `=`, `:` * resource.folders.resource_folder: `=`, `:` * resource.display_name: `=`, `:`\n    *   `:orderBy` (*type:* `String.t`) - Expression that defines what fields and order to use for sorting. The string value should follow SQL syntax: comma separated list of fields. For example: \"name,resource_properties.a_property\". The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be appended to the field name. For example: \"name desc,source_properties.a_property\". Redundant space characters in the syntax are insignificant. \"name desc,source_properties.a_property\" and \" name desc , source_properties.a_property \" are equivalent. The following fields are supported: name parent state category resource_name event_time source_properties security_marks.marks\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListFindingsResponse`; indicates that this is a continuation of a prior `ListFindings` call, and that the system should return the next page of data.\n    *   `:readTime` (*type:* `DateTime.t`) - Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_list/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_patch/4","doc":"Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_patch/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_patch/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\", \"projects/{project_id}/sources/{source_id}/findings/{finding_id}\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing source_properties. Individual source_properties can be added/updated by using \"source_properties.\" in the field mask.\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_patch/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_patch/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_mute/4","doc":"Updates the mute state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_mute/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_mute/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_mute/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_mute/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_mute/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_state/4","doc":"Updates the state of a finding.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_state/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_state/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}`, `folders/{folder_id}/sources/{source_id}/findings/{finding_id}`, `projects/{project_id}/sources/{source_id}/findings/{finding_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_state/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_set_state/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.Finding{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_set_state/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_update_security_marks/4","doc":"Updates security marks.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_update_security_marks/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_update_security_marks/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:startTime` (*type:* `DateTime.t`) - The time at which the updated SecurityMarks take effect. If not set uses current server time. Updates will be applied to the SecurityMarks that are active immediately preceding this time. Must be earlier or equal to the server time.\n    *   `:updateMask` (*type:* `String.t`) - The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to \"marks\", all marks will be replaced. Individual marks can be updated using \"marks.\".\n    *   `:body` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_update_security_marks/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_findings_update_security_marks/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.SecurityMarks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_findings_update_security_marks/4-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_list/4","doc":"Lists all sources belonging to an organization.","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_list/4"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_list/4","doc":"*   `connection` (*type:* `GoogleApi.SecurityCenter.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent of sources to list. Its format should be `organizations/[organization_id]`, `folders/[folder_id]`, or `projects/[project_id]`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n    *   `:pageToken` (*type:* `String.t`) - The value returned by the last `ListSourcesResponse`; indicates that this is a continuation of a prior `ListSources` call, and that the system should return the next page of data.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Api.Projects.securitycenter_projects_sources_list/4","doc":"*   `{:ok, %GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SecurityCenter.V1.Api.Projects.html#securitycenter_projects_sources_list/4-returns"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Connection","doc":"Handle Tesla connections for GoogleApi.SecurityCenter.V1.","ref":"GoogleApi.SecurityCenter.V1.Connection.html"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.SecurityCenter.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.SecurityCenter.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.SecurityCenter.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SecurityCenter.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.SecurityCenter.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.SecurityCenter.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.SecurityCenter.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.SecurityCenter.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SecurityCenter.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SecurityCenter.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.SecurityCenter.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.SecurityCenter.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.SecurityCenter.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.SecurityCenter.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.SecurityCenter.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SecurityCenter.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.SecurityCenter.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Connection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Access","doc":"Represents an access event.","ref":"GoogleApi.SecurityCenter.V1.Model.Access.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Access","doc":"*   `callerIp` (*type:* `String.t`, *default:* `nil`) - Caller's IP address, such as \"1.1.1.1\".\n*   `callerIpGeo` (*type:* `GoogleApi.SecurityCenter.V1.Model.Geolocation.t`, *default:* `nil`) - The caller IP's geolocation, which identifies where the call came from.\n*   `methodName` (*type:* `String.t`, *default:* `nil`) - The method that the service account called, e.g. \"SetIamPolicy\".\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - Associated email, such as \"foo@google.com\". The email address of the authenticated user or a service account acting on behalf of a third party principal making the request. For third party identity callers, the `principal_subject` field is populated instead of this field. For privacy reasons, the principal email address is sometimes redacted. For more information, see [Caller identities in audit logs](https://cloud.google.com/logging/docs/audit#user-id).\n*   `principalSubject` (*type:* `String.t`, *default:* `nil`) - A string that represents the principal_subject that is associated with the identity. Unlike `principal_email`, `principal_subject` supports principals that aren't associated with email addresses, such as third party principals. For most identities, the format is `principal://iam.googleapis.com/{identity pool name}/subject/{subject}`. Some GKE identities, such as GKE_WORKLOAD, FREEFORM, and GKE_HUB_WORKLOAD, still use the legacy format `serviceAccount:{identity pool name}[{subject}]`.\n*   `serviceAccountDelegationInfo` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.t)`, *default:* `nil`) - The identity delegation history of an authenticated service account that made the request. The `serviceAccountDelegationInfo[]` object contains information about the real authorities that try to access Google Cloud resources by delegating on a service account. When multiple authorities are present, they are guaranteed to be sorted based on the original ordering of the identity delegation events.\n*   `serviceAccountKeyName` (*type:* `String.t`, *default:* `nil`) - The name of the service account key that was used to create or exchange credentials when authenticating the service account that made the request. This is a scheme-less URI full resource name. For example: \"//iam.googleapis.com/projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}\". \n*   `serviceName` (*type:* `String.t`, *default:* `nil`) - This is the API service that the service account made a call to, e.g. \"iam.googleapis.com\"\n*   `userAgent` (*type:* `String.t`, *default:* `nil`) - The caller's user agent string associated with the finding.\n*   `userAgentFamily` (*type:* `String.t`, *default:* `nil`) - Type of user agent associated with the finding. For example, an operating system shell or an embedded or standalone application.\n*   `userName` (*type:* `String.t`, *default:* `nil`) - A string that represents a username. The username provided depends on the type of the finding and is likely not an IAM principal. For example, this can be a system username if the finding is related to a virtual machine, or it can be an application login username.","ref":"GoogleApi.SecurityCenter.V1.Model.Access.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Access.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Access.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Access.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Access.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AccessReview","doc":"Conveys information about a Kubernetes access review (such as one returned by a [`kubectl auth can-i`](https://kubernetes.io/docs/reference/access-authn-authz/authorization/#checking-api-access) command) that was involved in a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.AccessReview.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AccessReview","doc":"*   `group` (*type:* `String.t`, *default:* `nil`) - The API group of the resource. \"*\" means all.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource being requested. Empty means all.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace of the action being requested. Currently, there is no distinction between no namespace and all namespaces. Both are represented by \"\" (empty).\n*   `resource` (*type:* `String.t`, *default:* `nil`) - The optional resource type requested. \"*\" means all.\n*   `subresource` (*type:* `String.t`, *default:* `nil`) - The optional subresource type.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - A Kubernetes resource API verb, like get, list, watch, create, update, delete, proxy. \"*\" means all.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The API version of the resource. \"*\" means all.","ref":"GoogleApi.SecurityCenter.V1.Model.AccessReview.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AccessReview.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AccessReview.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AccessReview.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AccessReview.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection","doc":"Information about [Google Cloud Armor Adaptive Protection](https://cloud.google.com/armor/docs/cloud-armor-overview#google-cloud-armor-adaptive-protection).","ref":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection","doc":"*   `confidence` (*type:* `float()`, *default:* `nil`) - A score of 0 means that there is low confidence that the detected event is an actual attack. A score of 1 means that there is high confidence that the detected event is an attack. See the [Adaptive Protection documentation](https://cloud.google.com/armor/docs/adaptive-protection-overview#configure-alert-tuning) for further explanation.","ref":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Application","doc":"Represents an application associated with a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Application.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Application","doc":"*   `baseUri` (*type:* `String.t`, *default:* `nil`) - The base URI that identifies the network location of the application in which the vulnerability was detected. For example, `http://example.com`.\n*   `fullUri` (*type:* `String.t`, *default:* `nil`) - The full URI with payload that can be used to reproduce the vulnerability. For example, `http://example.com?p=aMmYgI6H`.","ref":"GoogleApi.SecurityCenter.V1.Model.Application.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Application.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Application.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Application.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Application.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Asset","doc":"Security Command Center representation of a Google Cloud resource. The Asset is a Security Command Center resource that captures information about a single Google Cloud resource. All modifications to an Asset are only within the context of Security Command Center and don't affect the referenced Google Cloud resource.","ref":"GoogleApi.SecurityCenter.V1.Model.Asset.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Asset","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the resource. It's either \"organizations/{organization_id}/assets/{asset_id}\", \"folders/{folder_id}/assets/{asset_id}\" or \"projects/{project_number}/assets/{asset_id}\", depending on the closest CRM ancestor of the resource.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the asset was created in Security Command Center.\n*   `iamPolicy` (*type:* `GoogleApi.SecurityCenter.V1.Model.IamPolicy.t`, *default:* `nil`) - Cloud IAM Policy information associated with the Google Cloud resource described by the Security Command Center asset. This information is managed and defined by the Google Cloud resource and cannot be modified by the user.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of this asset. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/assets/{asset_id}\".\n*   `resourceProperties` (*type:* `map()`, *default:* `nil`) - Resource managed properties. These properties are managed and defined by the Google Cloud resource and cannot be modified by the user.\n*   `securityCenterProperties` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.t`, *default:* `nil`) - Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user.\n*   `securityMarks` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`, *default:* `nil`) - User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the asset.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the asset was last updated or added in Cloud SCC.","ref":"GoogleApi.SecurityCenter.V1.Model.Asset.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Asset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Asset.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Asset.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Asset.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig","doc":"The configuration used for Asset Discovery runs.","ref":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig","doc":"*   `folderIds` (*type:* `list(String.t)`, *default:* `nil`) - The folder ids to use for filtering asset discovery. It consists of only digits, e.g., 756619654966.\n*   `inclusionMode` (*type:* `String.t`, *default:* `nil`) - The mode to use for filtering asset discovery.\n*   `projectIds` (*type:* `list(String.t)`, *default:* `nil`) - The project ids to use for filtering asset discovery.","ref":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Attack","doc":"Information about DDoS attack volume and classification.","ref":"GoogleApi.SecurityCenter.V1.Model.Attack.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Attack","doc":"*   `classification` (*type:* `String.t`, *default:* `nil`) - Type of attack, for example, 'SYN-flood', 'NTP-udp', or 'CHARGEN-udp'.\n*   `volumeBps` (*type:* `integer()`, *default:* `nil`) - Total BPS (bytes per second) volume of attack.\n*   `volumePps` (*type:* `integer()`, *default:* `nil`) - Total PPS (packets per second) volume of attack.","ref":"GoogleApi.SecurityCenter.V1.Model.Attack.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Attack.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Attack.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Attack.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Attack.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AttackExposure","doc":"An attack exposure contains the results of an attack path simulation run.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AttackExposure","doc":"*   `attackExposureResult` (*type:* `String.t`, *default:* `nil`) - The resource name of the attack path simulation result that contains the details regarding this attack exposure score. Example: `organizations/123/simulations/456/attackExposureResults/789`\n*   `exposedHighValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of high value resources that are exposed as a result of this finding.\n*   `exposedLowValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of high value resources that are exposed as a result of this finding.\n*   `exposedMediumValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of medium value resources that are exposed as a result of this finding.\n*   `latestCalculationTime` (*type:* `DateTime.t`, *default:* `nil`) - The most recent time the attack exposure was updated on this finding.\n*   `score` (*type:* `float()`, *default:* `nil`) - A number between 0 (inclusive) and infinity that represents how important this finding is to remediate. The higher the score, the more important it is to remediate.\n*   `state` (*type:* `String.t`, *default:* `nil`) - What state this AttackExposure is in. This captures whether or not an attack exposure has been calculated or not.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AttackExposure.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AttackPath","doc":"A path that an attacker could take to reach an exposed resource.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPath.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AttackPath","doc":"*   `edges` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.t)`, *default:* `nil`) - A list of the edges between nodes in this attack path.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The attack path name, for example, `organizations/12/simulation/34/valuedResources/56/attackPaths/78`\n*   `pathNodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AttackPathNode.t)`, *default:* `nil`) - A list of nodes that exist in this attack path.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPath.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AttackPath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPath.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AttackPath.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPath.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge","doc":"Represents a connection between a source node and a destination node in this attack path.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AttackPathEdge","doc":"*   `destination` (*type:* `String.t`, *default:* `nil`) - The attack node uuid of the destination node.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The attack node uuid of the source node.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathEdge.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode","doc":"Represents one point that an attacker passes through in this attack path.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AttackPathNode","doc":"*   `associatedFindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.t)`, *default:* `nil`) - The findings associated with this node in the attack path.\n*   `attackSteps` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AttackStepNode.t)`, *default:* `nil`) - A list of attack step nodes that exist in this attack path node.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Human-readable name of this resource.\n*   `resource` (*type:* `String.t`, *default:* `nil`) - The name of the resource at this point in the attack path. The format of the name follows the Cloud Asset Inventory [resource name format](https://cloud.google.com/asset-inventory/docs/resource-name-format)\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - The [supported resource type](https://cloud.google.com/asset-inventory/docs/supported-asset-types)\n*   `uuid` (*type:* `String.t`, *default:* `nil`) - Unique id of the attack path node.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AttackPathNode.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode","doc":"Detailed steps the attack can take between path nodes.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AttackStepNode","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Attack step description\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - User friendly name of the attack step\n*   `labels` (*type:* `map()`, *default:* `nil`) - Attack step labels for metadata\n*   `type` (*type:* `String.t`, *default:* `nil`) - Attack step type. Can be either AND, OR or DEFENSE\n*   `uuid` (*type:* `String.t`, *default:* `nil`) - Unique ID for one Node","ref":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AttackStepNode.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AuditConfig","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AuditConfig","doc":"*   `auditLogConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.t)`, *default:* `nil`) - The configuration for logging of each type of permission.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AuditConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig","doc":"Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AuditLogConfig","doc":"*   `exemptedMembers` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.\n*   `logType` (*type:* `String.t`, *default:* `nil`) - The log type that this config enables.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AuditLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AwsAccount","doc":"An AWS account that is a member of an organization.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AwsAccount","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) of the account, containing exactly 12 digits.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The friendly name of this account.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AwsAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata","doc":"AWS metadata associated with the resource, only applicable if the finding's cloud provider is Amazon Web Services.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AwsMetadata","doc":"*   `account` (*type:* `GoogleApi.SecurityCenter.V1.Model.AwsAccount.t`, *default:* `nil`) - The AWS account associated with the resource.\n*   `organization` (*type:* `GoogleApi.SecurityCenter.V1.Model.AwsOrganization.t`, *default:* `nil`) - The AWS organization associated with the resource.\n*   `organizationalUnits` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.t)`, *default:* `nil`) - A list of AWS organizational units associated with the resource, ordered from lowest level (closest to the account) to highest level.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AwsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization","doc":"An organization is a collection of accounts that are centrally managed together using consolidated billing, organized hierarchically with organizational units (OUs), and controlled with policies.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AwsOrganization","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) for the organization. The regex pattern for an organization ID string requires \"o-\" followed by from 10 to 32 lowercase letters or digits.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganization.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit","doc":"An Organizational Unit (OU) is a container of AWS accounts within a root of an organization. Policies that are attached to an OU apply to all accounts contained in that OU and in any child OUs.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) associated with this OU. The regex pattern for an organizational unit ID string requires \"ou-\" followed by from 4 to 32 lowercase letters or digits (the ID of the root that contains the OU). This string is followed by a second \"-\" dash and from 8 to 32 additional lowercase letters or digits. For example, \"ou-ab12-cd34ef56\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - The friendly name of the OU.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AwsOrganizationalUnit.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup","doc":"Represents an Azure management group.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Azure management group.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The UUID of the Azure management group, for example, `20000000-0001-0000-0000-000000000000`.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata","doc":"Azure metadata associated with the resource, only applicable if the finding's cloud provider is Microsoft Azure.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AzureMetadata","doc":"*   `managementGroups` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AzureManagementGroup.t)`, *default:* `nil`) - A list of Azure management groups associated with the resource, ordered from lowest level (closest to the subscription) to highest level.\n*   `resourceGroup` (*type:* `GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.t`, *default:* `nil`) - The Azure resource group associated with the resource.\n*   `subscription` (*type:* `GoogleApi.SecurityCenter.V1.Model.AzureSubscription.t`, *default:* `nil`) - The Azure subscription associated with the resource.\n*   `tenant` (*type:* `GoogleApi.SecurityCenter.V1.Model.AzureTenant.t`, *default:* `nil`) - The Azure Entra tenant associated with the resource.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AzureMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup","doc":"Represents an Azure resource group.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Azure resource group. This is not a UUID.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AzureResourceGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription","doc":"Represents an Azure subscription.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AzureSubscription","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Azure subscription.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The UUID of the Azure subscription, for example, `291bba3f-e0a5-47bc-a099-3bdcb2a50a05`.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AzureSubscription.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.AzureTenant","doc":"Represents a Microsoft Entra tenant.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.AzureTenant","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of the Microsoft Entra tenant, for example, \"a11aaa11-aa11-1aa1-11aa-1aaa11a\".","ref":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.AzureTenant.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery","doc":"Information related to Google Cloud Backup and DR Service findings.","ref":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery","doc":"*   `appliance` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR appliance that captures, moves, and manages the lifecycle of backup data. For example, `backup-server-57137`.\n*   `applications` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR applications. An application is a VM, database, or file system on a managed host monitored by a backup and recovery appliance. For example, `centos7-01-vol00`, `centos7-01-vol01`, `centos7-01-vol02`.\n*   `backupCreateTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp at which the Backup and DR backup was created.\n*   `backupTemplate` (*type:* `String.t`, *default:* `nil`) - The name of a Backup and DR template which comprises one or more backup policies. See the [Backup and DR documentation](https://cloud.google.com/backup-disaster-recovery/docs/concepts/backup-plan#temp) for more information. For example, `snap-ov`.\n*   `backupType` (*type:* `String.t`, *default:* `nil`) - The backup type of the Backup and DR image. For example, `Snapshot`, `Remote Snapshot`, `OnVault`.\n*   `host` (*type:* `String.t`, *default:* `nil`) - The name of a Backup and DR host, which is managed by the backup and recovery appliance and known to the management console. The host can be of type Generic (for example, Compute Engine, SQL Server, Oracle DB, SMB file system, etc.), vCenter, or an ESX server. See the [Backup and DR documentation on hosts](https://cloud.google.com/backup-disaster-recovery/docs/configuration/manage-hosts-and-their-applications) for more information. For example, `centos7-01`.\n*   `policies` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR policies that are associated with a template and that define when to run a backup, how frequently to run a backup, and how long to retain the backup image. For example, `onvaults`.\n*   `policyOptions` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR advanced policy options of a policy applying to an application. See the [Backup and DR documentation on policy options](https://cloud.google.com/backup-disaster-recovery/docs/create-plan/policy-settings). For example, `skipofflineappsincongrp, nounmap`.\n*   `profile` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR resource profile that specifies the storage media for backups of application and VM data. See the [Backup and DR documentation on profiles](https://cloud.google.com/backup-disaster-recovery/docs/concepts/backup-plan#profile). For example, `GCP`.\n*   `storagePool` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR storage pool that the backup and recovery appliance is storing data in. The storage pool could be of type Cloud, Primary, Snapshot, or OnVault. See the [Backup and DR documentation on storage pools](https://cloud.google.com/backup-disaster-recovery/docs/concepts/storage-pools). For example, `DiskPoolOne`.","ref":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest","doc":"Request message to create multiple resource value configs","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest","doc":"*   `requests` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.t)`, *default:* `nil`) - Required. The resource value configs to be created.","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse","doc":"Response message for BatchCreateResourceValueConfigs","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse","doc":"*   `resourceValueConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.t)`, *default:* `nil`) - The resource value configs created","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.BatchCreateResourceValueConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.SecurityCenter.V1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Binding","doc":"*   `condition` (*type:* `GoogleApi.SecurityCenter.V1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.SecurityCenter.V1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Binding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest","doc":"Request message for bulk findings update. Note: 1. If multiple bulk update requests match the same resource, the order in which they get executed is not defined. 2. Once a bulk operation is started, there is no way to stop it.","ref":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest","doc":"*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that identifies findings that should be updated. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes.\n*   `muteAnnotation` (*type:* `String.t`, *default:* `nil`) - This can be a mute configuration name or any identifier for mute/unmute of findings based on the filter.\n*   `muteState` (*type:* `String.t`, *default:* `nil`) - Optional. All findings matching the given filter will have their mute state set to this value. The default value is `MUTED`. Setting this to `UNDEFINED` will clear the mute state on all matching findings.","ref":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.BulkMuteFindingsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CloudArmor","doc":"Fields related to Google Cloud Armor findings.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CloudArmor","doc":"*   `adaptiveProtection` (*type:* `GoogleApi.SecurityCenter.V1.Model.AdaptiveProtection.t`, *default:* `nil`) - Information about potential Layer 7 DDoS attacks identified by [Google Cloud Armor Adaptive Protection](https://cloud.google.com/armor/docs/adaptive-protection-overview).\n*   `attack` (*type:* `GoogleApi.SecurityCenter.V1.Model.Attack.t`, *default:* `nil`) - Information about DDoS attack volume and classification.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Duration of attack from the start until the current moment (updated every 5 minutes).\n*   `requests` (*type:* `GoogleApi.SecurityCenter.V1.Model.Requests.t`, *default:* `nil`) - Information about incoming requests evaluated by [Google Cloud Armor security policies](https://cloud.google.com/armor/docs/security-policy-overview).\n*   `securityPolicy` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.t`, *default:* `nil`) - Information about the [Google Cloud Armor security policy](https://cloud.google.com/armor/docs/security-policy-overview) relevant to the finding.\n*   `threatVector` (*type:* `String.t`, *default:* `nil`) - Distinguish between volumetric & protocol DDoS attack and application layer attacks. For example, \"L3_4\" for Layer 3 and Layer 4 DDoS attacks, or \"L_7\" for Layer 7 DDoS attacks.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CloudArmor.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile","doc":"The [data profile](https://cloud.google.com/dlp/docs/data-profiles) associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile","doc":"*   `dataProfile` (*type:* `String.t`, *default:* `nil`) - Name of the data profile, for example, `projects/123/locations/europe/tableProfiles/8383929`.\n*   `parentType` (*type:* `String.t`, *default:* `nil`) - The resource hierarchy level at which the data profile was generated.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection","doc":"Details about the Cloud Data Loss Prevention (Cloud DLP) [inspection job](https://cloud.google.com/dlp/docs/concepts-job-triggers) that produced the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection","doc":"*   `fullScan` (*type:* `boolean()`, *default:* `nil`) - Whether Cloud DLP scanned the complete resource or a sampled subset.\n*   `infoType` (*type:* `String.t`, *default:* `nil`) - The type of information (or *[infoType](https://cloud.google.com/dlp/docs/infotypes-reference)*) found, for example, `EMAIL_ADDRESS` or `STREET_ADDRESS`.\n*   `infoTypeCount` (*type:* `String.t`, *default:* `nil`) - The number of times Cloud DLP found this infoType within this job and resource.\n*   `inspectJob` (*type:* `String.t`, *default:* `nil`) - Name of the inspection job, for example, `projects/123/locations/europe/dlpJobs/i-8383929`.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry","doc":"Metadata taken from a [Cloud Logging LogEntry](https://cloud.google.com/logging/docs/reference/v2/rest/v2/LogEntry)","ref":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry","doc":"*   `insertId` (*type:* `String.t`, *default:* `nil`) - A unique identifier for the log entry.\n*   `logId` (*type:* `String.t`, *default:* `nil`) - The type of the log (part of `log_name`. `log_name` is the resource name of the log to which this log entry belongs). For example: `cloudresourcemanager.googleapis.com/activity`. Note that this field is not URL-encoded, unlike the `LOG_ID` field in `LogEntry`.\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - The organization, folder, or project of the monitored resource that produced this log entry.\n*   `timestamp` (*type:* `DateTime.t`, *default:* `nil`) - The time the event described by the log entry occurred.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Compliance","doc":"Contains compliance information about a security standard indicating unmet recommendations.","ref":"GoogleApi.SecurityCenter.V1.Model.Compliance.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Compliance","doc":"*   `ids` (*type:* `list(String.t)`, *default:* `nil`) - Policies within the standard or benchmark, for example, A.12.4.1\n*   `standard` (*type:* `String.t`, *default:* `nil`) - Industry-wide compliance standards or benchmarks, such as CIS, PCI, and OWASP.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the standard or benchmark, for example, 1.1","ref":"GoogleApi.SecurityCenter.V1.Model.Compliance.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Compliance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Compliance.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Compliance.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Compliance.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot","doc":"Result containing the properties and count of a ComplianceSnapshot request.","ref":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot","doc":"*   `category` (*type:* `String.t`, *default:* `nil`) - The category of Findings matching.\n*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - The cloud provider for the compliance snapshot.\n*   `complianceStandard` (*type:* `String.t`, *default:* `nil`) - The compliance standard (ie CIS).\n*   `complianceVersion` (*type:* `String.t`, *default:* `nil`) - The compliance version (ie 1.3) in CIS 1.3.\n*   `count` (*type:* `String.t`, *default:* `nil`) - Total count of findings for the given properties.\n*   `leafContainerResource` (*type:* `String.t`, *default:* `nil`) - The leaf container resource name that is closest to the snapshot.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The compliance snapshot name. Format: //sources//complianceSnapshots/\n*   `snapshotTime` (*type:* `DateTime.t`, *default:* `nil`) - The snapshot time of the snapshot.","ref":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ComplianceSnapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Connection","doc":"Contains information about the IP connection associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Connection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Connection","doc":"*   `destinationIp` (*type:* `String.t`, *default:* `nil`) - Destination IP address. Not present for sockets that are listening and not connected.\n*   `destinationPort` (*type:* `integer()`, *default:* `nil`) - Destination port. Not present for sockets that are listening and not connected.\n*   `protocol` (*type:* `String.t`, *default:* `nil`) - IANA Internet Protocol Number such as TCP(6) and UDP(17).\n*   `sourceIp` (*type:* `String.t`, *default:* `nil`) - Source IP address.\n*   `sourcePort` (*type:* `integer()`, *default:* `nil`) - Source port.","ref":"GoogleApi.SecurityCenter.V1.Model.Connection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Connection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Connection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Connection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Contact","doc":"The email address of a contact.","ref":"GoogleApi.SecurityCenter.V1.Model.Contact.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Contact","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - An email address. For example, \"`person123@company.com`\".","ref":"GoogleApi.SecurityCenter.V1.Model.Contact.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Contact.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Contact.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Contact.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Contact.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ContactDetails","doc":"Details about specific contacts","ref":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ContactDetails","doc":"*   `contacts` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Contact.t)`, *default:* `nil`) - A list of contacts","ref":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ContactDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Container","doc":"Container associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Container.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Container","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the container was created.\n*   `imageId` (*type:* `String.t`, *default:* `nil`) - Optional container image ID, if provided by the container runtime. Uniquely identifies the container image launched using a container image digest.\n*   `labels` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Label.t)`, *default:* `nil`) - Container labels, as provided by the container runtime.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the container.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Container image URI provided when configuring a pod or container. This string can identify a container image version using mutable tags.","ref":"GoogleApi.SecurityCenter.V1.Model.Container.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Container.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Container.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Container.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Container.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest","doc":"Request message to create single resource value config","ref":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest","doc":"*   `parent` (*type:* `String.t`, *default:* `nil`) - Required. Resource name of the new ResourceValueConfig's parent.\n*   `resourceValueConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.t`, *default:* `nil`) - Required. The resource value config being created.","ref":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CreateResourceValueConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError","doc":"An error encountered while validating the uploaded configuration of an Event Threat Detection Custom Module.","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the error, suitable for human consumption. Required.\n*   `end` (*type:* `GoogleApi.SecurityCenter.V1.Model.Position.t`, *default:* `nil`) - The end position of the error in the uploaded text version of the module. This field may be omitted if no specific position applies, or if one could not be computed..\n*   `fieldPath` (*type:* `String.t`, *default:* `nil`) - The path, in RFC 8901 JSON Pointer format, to the field that failed validation. This may be left empty if no specific field is affected.\n*   `start` (*type:* `GoogleApi.SecurityCenter.V1.Model.Position.t`, *default:* `nil`) - The initial position of the error in the uploaded text version of the module. This field may be omitted if no specific position applies, or if one could not be computed.","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors","doc":"A list of zero or more errors encountered while validating the uploaded configuration of an Event Threat Detection Custom Module.","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors","doc":"*   `errors` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationError.t)`, *default:* `nil`) -","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Cve","doc":"CVE stands for Common Vulnerabilities and Exposures. Information from the [CVE record](https://www.cve.org/ResourcesSupport/Glossary) that describes this vulnerability.","ref":"GoogleApi.SecurityCenter.V1.Model.Cve.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Cve","doc":"*   `cvssv3` (*type:* `GoogleApi.SecurityCenter.V1.Model.Cvssv3.t`, *default:* `nil`) - Describe Common Vulnerability Scoring System specified at https://www.first.org/cvss/v3.1/specification-document\n*   `exploitReleaseDate` (*type:* `DateTime.t`, *default:* `nil`) - Date the first publicly available exploit or PoC was released.\n*   `exploitationActivity` (*type:* `String.t`, *default:* `nil`) - The exploitation activity of the vulnerability in the wild.\n*   `firstExploitationDate` (*type:* `DateTime.t`, *default:* `nil`) - Date of the earliest known exploitation.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier for the vulnerability. e.g. CVE-2021-34527\n*   `impact` (*type:* `String.t`, *default:* `nil`) - The potential impact of the vulnerability if it was to be exploited.\n*   `observedInTheWild` (*type:* `boolean()`, *default:* `nil`) - Whether or not the vulnerability has been observed in the wild.\n*   `references` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Reference.t)`, *default:* `nil`) - Additional information about the CVE. e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527\n*   `upstreamFixAvailable` (*type:* `boolean()`, *default:* `nil`) - Whether upstream fix is available for the CVE.\n*   `zeroDay` (*type:* `boolean()`, *default:* `nil`) - Whether or not the vulnerability was zero day when the finding was published.","ref":"GoogleApi.SecurityCenter.V1.Model.Cve.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Cve.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Cve.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Cve.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Cve.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Cvssv3","doc":"Common Vulnerability Scoring System version 3.","ref":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Cvssv3","doc":"*   `attackComplexity` (*type:* `String.t`, *default:* `nil`) - This metric describes the conditions beyond the attacker's control that must exist in order to exploit the vulnerability.\n*   `attackVector` (*type:* `String.t`, *default:* `nil`) - Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. This metric reflects the context by which vulnerability exploitation is possible.\n*   `availabilityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability.\n*   `baseScore` (*type:* `float()`, *default:* `nil`) - The base score is a function of the base metric scores.\n*   `confidentialityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability.\n*   `integrityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to integrity of a successfully exploited vulnerability.\n*   `privilegesRequired` (*type:* `String.t`, *default:* `nil`) - This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.\n*   `scope` (*type:* `String.t`, *default:* `nil`) - The Scope metric captures whether a vulnerability in one vulnerable component impacts resources in components beyond its security scope.\n*   `userInteraction` (*type:* `String.t`, *default:* `nil`) - This metric captures the requirement for a human user, other than the attacker, to participate in the successful compromise of the vulnerable component.","ref":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Cvssv3.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent","doc":"Details about a data access attempt made by a principal not authorized under applicable data security policy.","ref":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.DataAccessEvent","doc":"*   `eventId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for data access event.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of data access event.\n*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation performed by the principal to access the data.\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of the principal that accessed the data. The principal could be a user account, service account, Google group, or other.","ref":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent","doc":"Details about a data flow event, in which either the data is moved to or is accessed from a non-compliant geo-location, as defined in the applicable data security policy.","ref":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.DataFlowEvent","doc":"*   `eventId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for data flow event.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of data flow event.\n*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation performed by the principal for the data flow event.\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of the principal that initiated the data flow event. The principal could be a user account, service account, Google group, or other.\n*   `violatedLocation` (*type:* `String.t`, *default:* `nil`) - Non-compliant location of the principal or the data destination.","ref":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Database","doc":"Represents database access information, such as queries. A database may be a sub-resource of an instance (as in the case of Cloud SQL instances or Cloud Spanner instances), or the database instance itself. Some database resources might not have the [full resource name](https://google.aip.dev/122#full-resource-names) populated because these resource types, such as Cloud SQL databases, are not yet supported by Cloud Asset Inventory. In these cases only the display name is provided.","ref":"GoogleApi.SecurityCenter.V1.Model.Database.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Database","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human-readable name of the database that the user connected to.\n*   `grantees` (*type:* `list(String.t)`, *default:* `nil`) - The target usernames, roles, or groups of an SQL privilege grant, which is not an IAM policy change.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Some database resources may not have the [full resource name](https://google.aip.dev/122#full-resource-names) populated because these resource types are not yet supported by Cloud Asset Inventory (e.g. Cloud SQL databases). In these cases only the display name will be provided. The [full resource name](https://google.aip.dev/122#full-resource-names) of the database that the user connected to, if it is supported by Cloud Asset Inventory.\n*   `query` (*type:* `String.t`, *default:* `nil`) - The SQL statement that is associated with the database access.\n*   `userName` (*type:* `String.t`, *default:* `nil`) - The username used to connect to the database. The username might not be an IAM principal and does not have a set format.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The version of the database, for example, POSTGRES_14. See [the complete list](https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1/SqlDatabaseVersion).","ref":"GoogleApi.SecurityCenter.V1.Model.Database.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Database.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Database.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Database.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Database.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Detection","doc":"Memory hash detection contributing to the binary family match.","ref":"GoogleApi.SecurityCenter.V1.Model.Detection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Detection","doc":"*   `binary` (*type:* `String.t`, *default:* `nil`) - The name of the binary associated with the memory hash signature detection.\n*   `percentPagesMatched` (*type:* `float()`, *default:* `nil`) - The percentage of memory page hashes in the signature that were matched.","ref":"GoogleApi.SecurityCenter.V1.Model.Detection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Detection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Detection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Detection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Detection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.DiskPath","doc":"Path of the file in terms of underlying disk/partition identifiers.","ref":"GoogleApi.SecurityCenter.V1.Model.DiskPath.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.DiskPath","doc":"*   `partitionUuid` (*type:* `String.t`, *default:* `nil`) - UUID of the partition (format https://wiki.archlinux.org/title/persistent_block_device_naming#by-uuid)\n*   `relativePath` (*type:* `String.t`, *default:* `nil`) - Relative path of the file in the partition as a JSON encoded string. Example: /home/user1/executable_file.sh","ref":"GoogleApi.SecurityCenter.V1.Model.DiskPath.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.DiskPath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.DiskPath.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.DiskPath.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.DiskPath.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord","doc":"The record of a dynamic mute rule that matches the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord","doc":"*   `matchTime` (*type:* `DateTime.t`, *default:* `nil`) - When the dynamic mute rule first matched the finding.\n*   `muteConfig` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the mute rule, represented by a mute config, that created this record, for example `organizations/123/muteConfigs/mymuteconfig` or `organizations/123/locations/global/muteConfigs/mymuteconfig`.","ref":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule","doc":"An EffectiveEventThreatDetectionCustomModule is the representation of an Event Threat Detection custom module at a specified level of the resource hierarchy: organization, folder, or project. If a custom module is inherited from a parent organization or folder, the value of the `enablement_state` property in EffectiveEventThreatDetectionCustomModule is set to the value that is effective in the parent, instead of `INHERITED`. For example, if the module is enabled in a parent organization or folder, the effective `enablement_state` for the module in all child folders or projects is also `enabled`. EffectiveEventThreatDetectionCustomModule is read-only.","ref":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule","doc":"*   `config` (*type:* `map()`, *default:* `nil`) - Output only. Config for the effective module.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Output only. The description for the module.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The human readable name to be displayed for the module.\n*   `enablementState` (*type:* `String.t`, *default:* `nil`) - Output only. The effective state of enablement for the module at the given level of the hierarchy.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the effective ETD custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/effectiveCustomModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/effectiveCustomModules/{module}`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Output only. Type for the module. e.g. CONFIGURABLE_BAD_IP.","ref":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.SecurityCenter.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Empty","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable","doc":"A name-value pair representing an environment variable used in an operating system process.","ref":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Environment variable name as a JSON encoded string.\n*   `val` (*type:* `String.t`, *default:* `nil`) - Environment variable value as a JSON encoded string.","ref":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule","doc":"Represents an instance of an Event Threat Detection custom module, including its full module name, display name, enablement state, and last updated time. You can create a custom module at the organization, folder, or project level. Custom modules that you create at the organization or folder level are inherited by child folders and projects.","ref":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule","doc":"*   `ancestorModule` (*type:* `String.t`, *default:* `nil`) - Output only. The closest ancestor module that this module inherits the enablement state from. The format is the same as the EventThreatDetectionCustomModule resource name.\n*   `config` (*type:* `map()`, *default:* `nil`) - Config for the module. For the resident module, its config value is defined at this level. For the inherited module, its config value is inherited from the ancestor module.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description for the module.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human readable name to be displayed for the module.\n*   `enablementState` (*type:* `String.t`, *default:* `nil`) - The state of enablement for the module at the given level of the hierarchy.\n*   `lastEditor` (*type:* `String.t`, *default:* `nil`) - Output only. The editor the module was last updated by.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the Event Threat Detection custom module. Its format is: * `organizations/{organization}/eventThreatDetectionSettings/customModules/{module}`. * `folders/{folder}/eventThreatDetectionSettings/customModules/{module}`. * `projects/{project}/eventThreatDetectionSettings/customModules/{module}`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type for the module. e.g. CONFIGURABLE_BAD_IP.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the module was last updated.","ref":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ExfilResource","doc":"Resource where data was exfiltrated from or exfiltrated to.","ref":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ExfilResource","doc":"*   `components` (*type:* `list(String.t)`, *default:* `nil`) - Subcomponents of the asset that was exfiltrated, like URIs used during exfiltration, table names, databases, and filenames. For example, multiple tables might have been exfiltrated from the same Cloud SQL instance, or multiple files might have been exfiltrated from the same Cloud Storage bucket.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource's [full resource name](https://cloud.google.com/apis/design/resource_names#full_resource_name).","ref":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ExfilResource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Exfiltration","doc":"Exfiltration represents a data exfiltration attempt from one or more sources to one or more targets. The `sources` attribute lists the sources of the exfiltrated data. The `targets` attribute lists the destinations the data was copied to.","ref":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Exfiltration","doc":"*   `sources` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ExfilResource.t)`, *default:* `nil`) - If there are multiple sources, then the data is considered \"joined\" between them. For instance, BigQuery can join multiple tables, and each table would be considered a source.\n*   `targets` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ExfilResource.t)`, *default:* `nil`) - If there are multiple targets, each target would get a complete copy of the \"joined\" source data.\n*   `totalExfiltratedBytes` (*type:* `String.t`, *default:* `nil`) - Total exfiltrated bytes processed for the entire job.","ref":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Exfiltration.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.SecurityCenter.V1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.SecurityCenter.V1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Expr.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.File","doc":"File information about the related binary/library used by an executable, or the script used by a script interpreter","ref":"GoogleApi.SecurityCenter.V1.Model.File.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.File","doc":"*   `contents` (*type:* `String.t`, *default:* `nil`) - Prefix of the file contents as a JSON-encoded string.\n*   `diskPath` (*type:* `GoogleApi.SecurityCenter.V1.Model.DiskPath.t`, *default:* `nil`) - Path of the file in terms of underlying disk/partition identifiers.\n*   `hashedSize` (*type:* `String.t`, *default:* `nil`) - The length in bytes of the file prefix that was hashed. If hashed_size == size, any hashes reported represent the entire file.\n*   `partiallyHashed` (*type:* `boolean()`, *default:* `nil`) - True when the hash covers only a prefix of the file.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Absolute path of the file as a JSON encoded string.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - SHA256 hash of the first hashed_size bytes of the file encoded as a hex string. If hashed_size == size, sha256 represents the SHA256 hash of the entire file.\n*   `size` (*type:* `String.t`, *default:* `nil`) - Size of the file in bytes.","ref":"GoogleApi.SecurityCenter.V1.Model.File.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.File.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.File.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.File.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.File.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Finding","doc":"Security Command Center finding. A finding is a record of assessment data like security, risk, health, or privacy, that is ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, a cross-site scripting (XSS) vulnerability in an App Engine application is a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Finding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Finding","doc":"*   `nextSteps` (*type:* `String.t`, *default:* `nil`) - Steps to address the finding.\n*   `attackExposure` (*type:* `GoogleApi.SecurityCenter.V1.Model.AttackExposure.t`, *default:* `nil`) - The results of an attack path simulation relevant to this finding.\n*   `groupMemberships` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GroupMembership.t)`, *default:* `nil`) - Contains details about groups of which this finding is a member. A group is a collection of findings that are related in some way. This field cannot be updated. Its value is ignored in all update requests.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the finding was created in Security Command Center.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of the finding.\n*   `orgPolicies` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.OrgPolicy.t)`, *default:* `nil`) - Contains information about the org policies associated with the finding.\n*   `database` (*type:* `GoogleApi.SecurityCenter.V1.Model.Database.t`, *default:* `nil`) - Database associated with the finding.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\", \"projects/{project_id}/sources/{source_id}/findings/{finding_id}\".\n*   `dataFlowEvents` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.DataFlowEvent.t)`, *default:* `nil`) - Data flow events associated with the finding.\n*   `vulnerability` (*type:* `GoogleApi.SecurityCenter.V1.Model.Vulnerability.t`, *default:* `nil`) - Represents vulnerability-specific fields like CVE and CVSS scores. CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)\n*   `mute` (*type:* `String.t`, *default:* `nil`) - Indicates the mute state of a finding (either muted, unmuted or undefined). Unlike other attributes of a finding, a finding provider shouldn't set the value of mute.\n*   `moduleName` (*type:* `String.t`, *default:* `nil`) - Unique identifier of the module which generated the finding. Example: folders/598186756061/securityHealthAnalyticsSettings/customModules/56799441161885\n*   `description` (*type:* `String.t`, *default:* `nil`) - Contains more details about the finding.\n*   `notebook` (*type:* `GoogleApi.SecurityCenter.V1.Model.Notebook.t`, *default:* `nil`) - Notebook associated with the finding.\n*   `cloudDlpDataProfile` (*type:* `GoogleApi.SecurityCenter.V1.Model.CloudDlpDataProfile.t`, *default:* `nil`) - Cloud DLP data profile that is associated with the finding.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - The severity of the finding. This field is managed by the source that writes the finding.\n*   `muteInfo` (*type:* `GoogleApi.SecurityCenter.V1.Model.MuteInfo.t`, *default:* `nil`) - Output only. The mute information regarding this finding.\n*   `kubernetes` (*type:* `GoogleApi.SecurityCenter.V1.Model.Kubernetes.t`, *default:* `nil`) - Kubernetes resources associated with the finding.\n*   `toxicCombination` (*type:* `GoogleApi.SecurityCenter.V1.Model.ToxicCombination.t`, *default:* `nil`) - Contains details about a group of security issues that, when the issues occur together, represent a greater risk than when the issues occur independently. A group of such issues is referred to as a toxic combination. This field cannot be updated. Its value is ignored in all update requests.\n*   `sourceProperties` (*type:* `map()`, *default:* `nil`) - Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.\n*   `backupDisasterRecovery` (*type:* `GoogleApi.SecurityCenter.V1.Model.BackupDisasterRecovery.t`, *default:* `nil`) - Fields related to Backup and DR findings.\n*   `compliances` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Compliance.t)`, *default:* `nil`) - Contains compliance information for security standards associated to the finding.\n*   `securityPosture` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityPosture.t`, *default:* `nil`) - The security posture associated with the finding.\n*   `application` (*type:* `GoogleApi.SecurityCenter.V1.Model.Application.t`, *default:* `nil`) - Represents an application associated with the finding.\n*   `files` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.File.t)`, *default:* `nil`) - File associated with the finding.\n*   `iamBindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.IamBinding.t)`, *default:* `nil`) - Represents IAM bindings associated with the finding.\n*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Container.t)`, *default:* `nil`) - Containers associated with the finding. This field provides information for both Kubernetes and non-Kubernetes containers.\n*   `externalUri` (*type:* `String.t`, *default:* `nil`) - The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL.\n*   `securityMarks` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t`, *default:* `nil`) - Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding.\n*   `muteInitiator` (*type:* `String.t`, *default:* `nil`) - Records additional information about the mute operation, for example, the [mute configuration](/security-command-center/docs/how-to-mute-findings) that muted the finding and the user who muted the finding.\n*   `connections` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Connection.t)`, *default:* `nil`) - Contains information about the IP connection associated with the finding.\n*   `externalSystems` (*type:* `%{optional(String.t) => GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.t}`, *default:* `nil`) - Output only. Third party SIEM/SOAR fields within SCC, contains external system information and external system finding fields.\n*   `loadBalancers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.LoadBalancer.t)`, *default:* `nil`) - The load balancers associated with the finding.\n*   `kernelRootkit` (*type:* `GoogleApi.SecurityCenter.V1.Model.KernelRootkit.t`, *default:* `nil`) - Signature of the kernel rootkit.\n*   `processes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Process.t)`, *default:* `nil`) - Represents operating system processes associated with the Finding.\n*   `logEntries` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.LogEntry.t)`, *default:* `nil`) - Log entries that are relevant to the finding.\n*   `cloudArmor` (*type:* `GoogleApi.SecurityCenter.V1.Model.CloudArmor.t`, *default:* `nil`) - Fields related to Cloud Armor findings.\n*   `access` (*type:* `GoogleApi.SecurityCenter.V1.Model.Access.t`, *default:* `nil`) - Access details associated with the finding, such as more information on the caller, which method was accessed, and from where.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time.\n*   `mitreAttack` (*type:* `GoogleApi.SecurityCenter.V1.Model.MitreAttack.t`, *default:* `nil`) - MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org\n*   `category` (*type:* `String.t`, *default:* `nil`) - The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"\n*   `exfiltration` (*type:* `GoogleApi.SecurityCenter.V1.Model.Exfiltration.t`, *default:* `nil`) - Represents exfiltrations associated with the finding.\n*   `findingClass` (*type:* `String.t`, *default:* `nil`) - The class of the finding.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the finding was first detected. If an existing finding is updated, then this is the time the update occurred. For example, if the finding represents an open firewall, this property captures the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding is later resolved, then this time reflects when the finding was resolved. This must not be set to a value greater than the current timestamp.\n*   `dataAccessEvents` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.DataAccessEvent.t)`, *default:* `nil`) - Data access events associated with the finding.\n*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"\n*   `muteUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time this finding was muted or unmuted.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The human readable display name of the finding source such as \"Event Threat Detection\" or \"Security Health Analytics\".\n*   `contacts` (*type:* `%{optional(String.t) => GoogleApi.SecurityCenter.V1.Model.ContactDetails.t}`, *default:* `nil`) - Output only. Map containing the points of contact for the given finding. The key represents the type of contact, while the value contains a list of all the contacts that pertain. Please refer to: https://cloud.google.com/resource-manager/docs/managing-notification-contacts#notification-categories { \"security\": { \"contacts\": [ { \"email\": \"person1@company.com\" }, { \"email\": \"person2@company.com\" } ] } }\n*   `cloudDlpInspection` (*type:* `GoogleApi.SecurityCenter.V1.Model.CloudDlpInspection.t`, *default:* `nil`) - Cloud Data Loss Prevention (Cloud DLP) inspection results that are associated with the finding.\n*   `indicator` (*type:* `GoogleApi.SecurityCenter.V1.Model.Indicator.t`, *default:* `nil`) - Represents what's commonly known as an *indicator of compromise* (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. For more information, see [Indicator of compromise](https://en.wikipedia.org/wiki/Indicator_of_compromise).","ref":"GoogleApi.SecurityCenter.V1.Model.Finding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Finding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Finding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Finding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Finding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Folder","doc":"Message that contains the resource name and display name of a folder resource.","ref":"GoogleApi.SecurityCenter.V1.Model.Folder.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Folder","doc":"*   `resourceFolder` (*type:* `String.t`, *default:* `nil`) - Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceFolderDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for this folder.","ref":"GoogleApi.SecurityCenter.V1.Model.Folder.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Folder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Folder.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Folder.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Folder.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata","doc":"GCP metadata associated with the resource, only applicable if the finding's cloud provider is Google Cloud Platform.","ref":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GcpMetadata","doc":"*   `folders` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.t)`, *default:* `nil`) - Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.\n*   `organization` (*type:* `String.t`, *default:* `nil`) - The name of the organization that the resource belongs to.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The full resource name of resource's parent.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of resource's parent.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The full resource name of project that the resource belongs to.\n*   `projectDisplayName` (*type:* `String.t`, *default:* `nil`) - The project ID that the resource belongs to.","ref":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GcpMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Geolocation","doc":"Represents a geographical location for a given access.","ref":"GoogleApi.SecurityCenter.V1.Model.Geolocation.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Geolocation","doc":"*   `regionCode` (*type:* `String.t`, *default:* `nil`) - A CLDR.","ref":"GoogleApi.SecurityCenter.V1.Model.Geolocation.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Geolocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Geolocation.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Geolocation.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Geolocation.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest","doc":"Request message for `GetIamPolicy` method.","ref":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest","doc":"*   `options` (*type:* `GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.t`, *default:* `nil`) - OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.","ref":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions","doc":"Encapsulates settings provided to GetIamPolicy.","ref":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions","doc":"*   `requestedPolicyVersion` (*type:* `integer()`, *default:* `nil`) - Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GetPolicyOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport","doc":"Configures how to deliver Findings to BigQuery Instance.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the BigQuery export was created. This field is set by the server and will be ignored if provided on export on creation.\n*   `dataset` (*type:* `String.t`, *default:* `nil`) - The dataset to write findings' updates to. Its format is \"projects/[project_id]/datasets/[bigquery_dataset_id]\". BigQuery Dataset unique ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_).\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the export (max of 1024 characters).\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that defines the filter to apply across create/update events of findings. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes.\n*   `mostRecentEditor` (*type:* `String.t`, *default:* `nil`) - Output only. Email address of the user who last edited the BigQuery export. This field is set by the server and will be ignored if provided on export creation or update.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. Example format: \"organizations/{organization_id}/bigQueryExports/{export_id}\" Example format: \"folders/{folder_id}/bigQueryExports/{export_id}\" Example format: \"projects/{project_id}/bigQueryExports/{export_id}\" This field is provided in responses, and is ignored when provided in create requests.\n*   `principal` (*type:* `String.t`, *default:* `nil`) - Output only. The service account that needs permission to create table and upload data to the BigQuery dataset.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time at which the BigQuery export was updated. This field is set by the server and will be ignored if provided on export creation or update.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding","doc":"Represents a Kubernetes RoleBinding or ClusterRoleBinding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name for the binding.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace for the binding.\n*   `role` (*type:* `GoogleApi.SecurityCenter.V1.Model.Role.t`, *default:* `nil`) - The Role or ClusterRole referenced by the binding.\n*   `subjects` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Subject.t)`, *default:* `nil`) - Represents one or more subjects that are bound to the role. Not always available for PATCH requests.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse","doc":"The response to a BulkMute request. Contains the LRO information.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BulkMuteFindingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig","doc":"Defines the properties in a custom module configuration for Security Health Analytics. Use the custom module configuration to create custom detectors that generate custom findings for resources that you specify.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig","doc":"*   `customOutput` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.t`, *default:* `nil`) - Custom output properties.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Text that describes the vulnerability or misconfiguration that the custom module detects. This explanation is returned with each finding instance to help investigators understand the detected issue. The text must be enclosed in quotation marks.\n*   `predicate` (*type:* `GoogleApi.SecurityCenter.V1.Model.Expr.t`, *default:* `nil`) - The CEL expression to evaluate to produce findings. When the expression evaluates to true against a resource, a finding is generated.\n*   `recommendation` (*type:* `String.t`, *default:* `nil`) - An explanation of the recommended steps that security teams can take to resolve the detected issue. This explanation is returned with each finding generated by this module in the `nextSteps` property of the finding JSON.\n*   `resourceSelector` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.t`, *default:* `nil`) - The resource types that the custom module operates on. Each custom module can specify up to 5 resource types.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - The severity to assign to findings generated by the module.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec","doc":"A set of optional name-value pairs that define custom source properties to return with each finding that is generated by the custom module. The custom source properties that are defined here are included in the finding JSON under `sourceProperties`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec","doc":"*   `properties` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.t)`, *default:* `nil`) - A list of custom output properties to add to the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomOutputSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule","doc":"An EffectiveSecurityHealthAnalyticsCustomModule is the representation of a Security Health Analytics custom module at a specified level of the resource hierarchy: organization, folder, or project. If a custom module is inherited from a parent organization or folder, the value of the `enablementState` property in EffectiveSecurityHealthAnalyticsCustomModule is set to the value that is effective in the parent, instead of `INHERITED`. For example, if the module is enabled in a parent organization or folder, the effective enablement_state for the module in all child folders or projects is also `enabled`. EffectiveSecurityHealthAnalyticsCustomModule is read-only.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule","doc":"*   `customConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.t`, *default:* `nil`) - Output only. The user-specified configuration for the module.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name for the custom module. The name must be between 1 and 128 characters, start with a lowercase letter, and contain alphanumeric characters or underscores only.\n*   `enablementState` (*type:* `String.t`, *default:* `nil`) - Output only. The effective state of enablement for the module at the given level of the hierarchy.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the custom module. Its format is \"organizations/{organization}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}\", or \"folders/{folder}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}\", or \"projects/{project}/securityHealthAnalyticsSettings/effectiveCustomModules/{customModule}\"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem","doc":"Representation of third party SIEM/SOAR fields within SCC.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem","doc":"*   `assignees` (*type:* `list(String.t)`, *default:* `nil`) - References primary/secondary etc assignees in the external system.\n*   `caseCloseTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was closed, as reported by the external system.\n*   `caseCreateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was created, as reported by the external system.\n*   `casePriority` (*type:* `String.t`, *default:* `nil`) - The priority of the finding's corresponding case in the external system.\n*   `caseSla` (*type:* `DateTime.t`, *default:* `nil`) - The SLA of the finding's corresponding case in the external system.\n*   `caseUri` (*type:* `String.t`, *default:* `nil`) - The link to the finding's corresponding case in the external system.\n*   `externalSystemUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was last updated, as reported by the external system.\n*   `externalUid` (*type:* `String.t`, *default:* `nil`) - The identifier that's used to track the finding's corresponding case in the external system.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name of the external system, for example: \"organizations/1234/sources/5678/findings/123456/externalSystems/jira\", \"folders/1234/sources/5678/findings/123456/externalSystems/jira\", \"projects/1234/sources/5678/findings/123456/externalSystems/jira\"\n*   `status` (*type:* `String.t`, *default:* `nil`) - The most recent status of the finding's corresponding case, as reported by the external system.\n*   `ticketInfo` (*type:* `GoogleApi.SecurityCenter.V1.Model.TicketInfo.t`, *default:* `nil`) - Information about the ticket, if any, that is being used to track the resolution of the issue that is identified by this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ExternalSystem.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig","doc":"A mute config is a Cloud SCC resource that contains the configuration to mute create/update events of findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the mute config was created. This field is set by the server and will be ignored if provided on config creation.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the mute config.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human readable name to be displayed for the mute config.\n*   `expiryTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The expiry of the mute config. Only applicable for dynamic configs. If the expiry is set, when the config expires, it is removed from all findings.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Required. An expression that defines the filter to apply across create/update events of findings. While creating a filter string, be mindful of the scope in which the mute configuration is being created. E.g., If a filter contains project = X but is created under the project = Y scope, it might not match any findings. The following field and operator combinations are supported: * severity: `=`, `:` * category: `=`, `:` * resource.name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.folders.resource_folder: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.type: `=`, `:` * finding_class: `=`, `:` * indicator.ip_addresses: `=`, `:` * indicator.domains: `=`, `:`\n*   `mostRecentEditor` (*type:* `String.t`, *default:* `nil`) - Output only. Email address of the user who last edited the mute config. This field is set by the server and will be ignored if provided on config creation or update.\n*   `name` (*type:* `String.t`, *default:* `nil`) - This field will be ignored if provided on config creation. Format `organizations/{organization}/muteConfigs/{mute_config}` `folders/{folder}/muteConfigs/{mute_config}` `projects/{project}/muteConfigs/{mute_config}` `organizations/{organization}/locations/global/muteConfigs/{mute_config}` `folders/{folder}/locations/global/muteConfigs/{mute_config}` `projects/{project}/locations/global/muteConfigs/{mute_config}`\n*   `type` (*type:* `String.t`, *default:* `nil`) - Optional. The type of the mute config, which determines what type of mute state the config affects. The static mute state takes precedence over the dynamic mute state. Immutable after creation. STATIC by default if not set during creation.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time at which the mute config was updated. This field is set by the server and will be ignored if provided on config creation or update.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage","doc":"Cloud SCC's Notification","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage","doc":"*   `finding` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`, *default:* `nil`) - If it's a Finding based notification config, this field will be populated.\n*   `notificationConfigName` (*type:* `String.t`, *default:* `nil`) - Name of the notification config that generated current notification.\n*   `resource` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.t`, *default:* `nil`) - The Cloud resource tied to this notification's Finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1NotificationMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property","doc":"An individual name-value pair that defines a custom source property.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the property for the custom output.\n*   `valueExpression` (*type:* `GoogleApi.SecurityCenter.V1.Model.Expr.t`, *default:* `nil`) - The CEL expression for the custom output. A resource property can be specified to return the value of the property or a text string enclosed in quotation marks.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Property.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource","doc":"Information related to the Google Cloud resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource","doc":"*   `awsMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.AwsMetadata.t`, *default:* `nil`) - The AWS metadata associated with the finding.\n*   `azureMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.AzureMetadata.t`, *default:* `nil`) - The Azure metadata associated with the finding.\n*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Indicates which cloud provider the resource resides in.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of the resource.\n*   `folders` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Folder.t)`, *default:* `nil`) - Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.\n*   `location` (*type:* `String.t`, *default:* `nil`) - The region or location of the service (if applicable).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `organization` (*type:* `String.t`, *default:* `nil`) - Indicates which organization or tenant in the cloud provider the finding applies to.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The full resource name of resource's parent.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of resource's parent.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The full resource name of project that the resource belongs to.\n*   `projectDisplayName` (*type:* `String.t`, *default:* `nil`) - The project ID that the resource belongs to.\n*   `resourcePath` (*type:* `GoogleApi.SecurityCenter.V1.Model.ResourcePath.t`, *default:* `nil`) - Provides the path to the resource within the resource hierarchy.\n*   `resourcePathString` (*type:* `String.t`, *default:* `nil`) - A string representation of the resource path. For Google Cloud, it has the format of `organizations/{organization_id}/folders/{folder_id}/folders/{folder_id}/projects/{project_id}` where there can be any number of folders. For AWS, it has the format of `org/{organization_id}/ou/{organizational_unit_id}/ou/{organizational_unit_id}/account/{account_id}` where there can be any number of organizational units. For Azure, it has the format of `mg/{management_group_id}/mg/{management_group_id}/subscription/{subscription_id}/rg/{resource_group_name}` where there can be any number of management groups.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The parent service or product from which the resource is provided, for example, GKE or SNS.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The full resource type of the resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Resource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector","doc":"Resource for selecting resource type.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector","doc":"*   `resourceTypes` (*type:* `list(String.t)`, *default:* `nil`) - The resource types to run the detector on.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceSelector.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig","doc":"A resource value configuration (RVC) is a mapping configuration of user's resources to resource values. Used in Attack path simulations.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig","doc":"*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Cloud provider this configuration applies to\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp this resource value configuration was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the resource value configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name for the resource value configuration\n*   `resourceLabelsSelector` (*type:* `map()`, *default:* `nil`) - List of resource labels to search for, evaluated with `AND`. For example, `\"resource_labels_selector\": {\"key\": \"value\", \"env\": \"prod\"}` will match resources with labels \"key\": \"value\" `AND` \"env\": \"prod\" https://cloud.google.com/resource-manager/docs/creating-managing-labels\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Apply resource_value only to resources that match resource_type. resource_type will be checked with `AND` of other resources. For example, \"storage.googleapis.com/Bucket\" with resource_value \"HIGH\" will apply \"HIGH\" value only to \"storage.googleapis.com/Bucket\" resources.\n*   `resourceValue` (*type:* `String.t`, *default:* `nil`) - Required. Resource value level this expression represents\n*   `scope` (*type:* `String.t`, *default:* `nil`) - Project or folder to scope this configuration to. For example, \"project/456\" would apply this configuration only to resources in \"project/456\" scope will be checked with `AND` of other resources.\n*   `sensitiveDataProtectionMapping` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.t`, *default:* `nil`) - A mapping of the sensitivity on Sensitive Data Protection finding to resource values. This mapping can only be used in combination with a resource_type that is related to BigQuery, e.g. \"bigquery.googleapis.com/Dataset\".\n*   `tagValues` (*type:* `list(String.t)`, *default:* `nil`) - Required. Tag values combined with `AND` to check against. Values in the form \"tagValues/123\" Example: `[ \"tagValues/123\", \"tagValues/456\", \"tagValues/789\" ]` https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp this resource value configuration was last updated.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse","doc":"Response of asset discovery run","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - The duration between asset discovery run start and end\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of an asset discovery run.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1RunAssetDiscoveryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule","doc":"Represents an instance of a Security Health Analytics custom module, including its full module name, display name, enablement state, and last updated time. You can create a custom module at the organization, folder, or project level. Custom modules that you create at the organization or folder level are inherited by the child folders and projects.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule","doc":"*   `ancestorModule` (*type:* `String.t`, *default:* `nil`) - Output only. If empty, indicates that the custom module was created in the organization, folder, or project in which you are viewing the custom module. Otherwise, `ancestor_module` specifies the organization or folder from which the custom module is inherited.\n*   `customConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.t`, *default:* `nil`) - The user specified custom configuration for the module.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Security Health Analytics custom module. This display name becomes the finding category for all findings that are returned by this custom module. The display name must be between 1 and 128 characters, start with a lowercase letter, and contain alphanumeric characters or underscores only.\n*   `enablementState` (*type:* `String.t`, *default:* `nil`) - The enablement state of the custom module.\n*   `lastEditor` (*type:* `String.t`, *default:* `nil`) - Output only. The editor that last updated the custom module.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the custom module. Its format is \"organizations/{organization}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"folders/{folder}/securityHealthAnalyticsSettings/customModules/{customModule}\", or \"projects/{project}/securityHealthAnalyticsSettings/customModules/{customModule}\" The id {customModule} is server-generated and is not user settable. It will be a numeric id containing 1-20 digits.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the custom module was last updated.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping","doc":"Resource value mapping for Sensitive Data Protection findings. If any of these mappings have a resource value that is not unspecified, the resource_value field will be ignored when reading this configuration.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping","doc":"*   `highSensitivityMapping` (*type:* `String.t`, *default:* `nil`) - Resource value mapping for high-sensitivity Sensitive Data Protection findings\n*   `mediumSensitivityMapping` (*type:* `String.t`, *default:* `nil`) - Resource value mapping for medium-sensitivity Sensitive Data Protection findings","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SensitiveDataProtectionMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse","doc":"Response of asset discovery run","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - The duration between asset discovery run start and end\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of an asset discovery run.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1beta1RunAssetDiscoveryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding","doc":"Security Command Center finding. A finding is a record of assessment data (security, risk, health or privacy) ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, an XSS vulnerability in an App Engine application is a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the finding. It's either \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\", \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}\" or \"projects/{project_number}/sources/{source_id}/findings/{finding_id}\", depending on the closest CRM ancestor of the resource associated with the finding.\n*   `category` (*type:* `String.t`, *default:* `nil`) - The additional taxonomy group within findings from a given source. This field is immutable after creation time. Example: \"XSS_FLASH_INJECTION\"\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the finding was created in Security Command Center.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the event took place, or when an update to the finding occurred. For example, if the finding represents an open firewall it would capture the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding were to be resolved afterward, this time would reflect when the finding was resolved. Must not be set to a value greater than the current timestamp.\n*   `externalUri` (*type:* `String.t`, *default:* `nil`) - The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of this finding. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}\"\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the source the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. For example: \"organizations/{organization_id}/sources/{source_id}\"\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string. This field is immutable after creation time.\n*   `securityMarks` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.t`, *default:* `nil`) - Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - The severity of the finding. This field is managed by the source that writes the finding.\n*   `sourceProperties` (*type:* `map()`, *default:* `nil`) - Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder","doc":"Message that contains the resource name and display name of a folder resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder","doc":"*   `resourceFolder` (*type:* `String.t`, *default:* `nil`) - Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceFolderDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for this folder.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage","doc":"Security Command Center's Notification","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage","doc":"*   `finding` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Finding.t`, *default:* `nil`) - If it's a Finding based notification config, this field will be populated.\n*   `notificationConfigName` (*type:* `String.t`, *default:* `nil`) - Name of the notification config that generated current notification.\n*   `resource` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.t`, *default:* `nil`) - The Cloud resource tied to the notification.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1NotificationMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource","doc":"Information related to the Google Cloud resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource","doc":"*   `folders` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Folder.t)`, *default:* `nil`) - Output only. Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The full resource name of resource's parent.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of resource's parent.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The full resource name of project that the resource belongs to.\n*   `projectDisplayName` (*type:* `String.t`, *default:* `nil`) - The project id that the resource belongs to.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1Resource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse","doc":"Response of asset discovery run","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - The duration between asset discovery run start and end\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of an asset discovery run.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1RunAssetDiscoveryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks","doc":"User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"\n*   `marks` (*type:* `map()`, *default:* `nil`) - Mutable user specified security marks belonging to the parent resource. Constraints are as follows: * Keys and values are treated as case insensitive * Keys must be between 1 - 256 characters (inclusive) * Keys must be letters, numbers, underscores, or dashes * Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1p1beta1SecurityMarks.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access","doc":"Represents an access event.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access","doc":"*   `callerIp` (*type:* `String.t`, *default:* `nil`) - Caller's IP address, such as \"1.1.1.1\".\n*   `callerIpGeo` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.t`, *default:* `nil`) - The caller IP's geolocation, which identifies where the call came from.\n*   `methodName` (*type:* `String.t`, *default:* `nil`) - The method that the service account called, e.g. \"SetIamPolicy\".\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - Associated email, such as \"foo@google.com\". The email address of the authenticated user or a service account acting on behalf of a third party principal making the request. For third party identity callers, the `principal_subject` field is populated instead of this field. For privacy reasons, the principal email address is sometimes redacted. For more information, see [Caller identities in audit logs](https://cloud.google.com/logging/docs/audit#user-id).\n*   `principalSubject` (*type:* `String.t`, *default:* `nil`) - A string that represents the principal_subject that is associated with the identity. Unlike `principal_email`, `principal_subject` supports principals that aren't associated with email addresses, such as third party principals. For most identities, the format is `principal://iam.googleapis.com/{identity pool name}/subject/{subject}`. Some GKE identities, such as GKE_WORKLOAD, FREEFORM, and GKE_HUB_WORKLOAD, still use the legacy format `serviceAccount:{identity pool name}[{subject}]`.\n*   `serviceAccountDelegationInfo` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.t)`, *default:* `nil`) - The identity delegation history of an authenticated service account that made the request. The `serviceAccountDelegationInfo[]` object contains information about the real authorities that try to access Google Cloud resources by delegating on a service account. When multiple authorities are present, they are guaranteed to be sorted based on the original ordering of the identity delegation events.\n*   `serviceAccountKeyName` (*type:* `String.t`, *default:* `nil`) - The name of the service account key that was used to create or exchange credentials when authenticating the service account that made the request. This is a scheme-less URI full resource name. For example: \"//iam.googleapis.com/projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}\". \n*   `serviceName` (*type:* `String.t`, *default:* `nil`) - This is the API service that the service account made a call to, e.g. \"iam.googleapis.com\"\n*   `userAgent` (*type:* `String.t`, *default:* `nil`) - The caller's user agent string associated with the finding.\n*   `userAgentFamily` (*type:* `String.t`, *default:* `nil`) - Type of user agent associated with the finding. For example, an operating system shell or an embedded or standalone application.\n*   `userName` (*type:* `String.t`, *default:* `nil`) - A string that represents a username. The username provided depends on the type of the finding and is likely not an IAM principal. For example, this can be a system username if the finding is related to a virtual machine, or it can be an application login username.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview","doc":"Conveys information about a Kubernetes access review (such as one returned by a [`kubectl auth can-i`](https://kubernetes.io/docs/reference/access-authn-authz/authorization/#checking-api-access) command) that was involved in a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview","doc":"*   `group` (*type:* `String.t`, *default:* `nil`) - The API group of the resource. \"*\" means all.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource being requested. Empty means all.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace of the action being requested. Currently, there is no distinction between no namespace and all namespaces. Both are represented by \"\" (empty).\n*   `resource` (*type:* `String.t`, *default:* `nil`) - The optional resource type requested. \"*\" means all.\n*   `subresource` (*type:* `String.t`, *default:* `nil`) - The optional subresource type.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - A Kubernetes resource API verb, like get, list, watch, create, update, delete, proxy. \"*\" means all.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The API version of the resource. \"*\" means all.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection","doc":"Information about [Google Cloud Armor Adaptive Protection](https://cloud.google.com/armor/docs/cloud-armor-overview#google-cloud-armor-adaptive-protection).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection","doc":"*   `confidence` (*type:* `float()`, *default:* `nil`) - A score of 0 means that there is low confidence that the detected event is an actual attack. A score of 1 means that there is high confidence that the detected event is an attack. See the [Adaptive Protection documentation](https://cloud.google.com/armor/docs/adaptive-protection-overview#configure-alert-tuning) for further explanation.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application","doc":"Represents an application associated with a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application","doc":"*   `baseUri` (*type:* `String.t`, *default:* `nil`) - The base URI that identifies the network location of the application in which the vulnerability was detected. For example, `http://example.com`.\n*   `fullUri` (*type:* `String.t`, *default:* `nil`) - The full URI with payload that could be used to reproduce the vulnerability. For example, `http://example.com?p=aMmYgI6H`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack","doc":"Information about DDoS attack volume and classification.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack","doc":"*   `classification` (*type:* `String.t`, *default:* `nil`) - Type of attack, for example, 'SYN-flood', 'NTP-udp', or 'CHARGEN-udp'.\n*   `volumeBps` (*type:* `integer()`, *default:* `nil`) - Total BPS (bytes per second) volume of attack.\n*   `volumePps` (*type:* `integer()`, *default:* `nil`) - Total PPS (packets per second) volume of attack.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure","doc":"An attack exposure contains the results of an attack path simulation run.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure","doc":"*   `attackExposureResult` (*type:* `String.t`, *default:* `nil`) - The resource name of the attack path simulation result that contains the details regarding this attack exposure score. Example: `organizations/123/simulations/456/attackExposureResults/789`\n*   `exposedHighValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of high value resources that are exposed as a result of this finding.\n*   `exposedLowValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of high value resources that are exposed as a result of this finding.\n*   `exposedMediumValueResourcesCount` (*type:* `integer()`, *default:* `nil`) - The number of medium value resources that are exposed as a result of this finding.\n*   `latestCalculationTime` (*type:* `DateTime.t`, *default:* `nil`) - The most recent time the attack exposure was updated on this finding.\n*   `score` (*type:* `float()`, *default:* `nil`) - A number between 0 (inclusive) and infinity that represents how important this finding is to remediate. The higher the score, the more important it is to remediate.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. What state this AttackExposure is in. This captures whether or not an attack exposure has been calculated or not.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount","doc":"An AWS account that is a member of an organization.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) of the account, containing exactly 12 digits.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The friendly name of this account.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata","doc":"AWS metadata associated with the resource, only applicable if the finding's cloud provider is Amazon Web Services.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata","doc":"*   `account` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsAccount.t`, *default:* `nil`) - The AWS account associated with the resource.\n*   `organization` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.t`, *default:* `nil`) - The AWS organization associated with the resource.\n*   `organizationalUnits` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.t)`, *default:* `nil`) - A list of AWS organizational units associated with the resource, ordered from lowest level (closest to the account) to highest level.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization","doc":"An organization is a collection of accounts that are centrally managed together using consolidated billing, organized hierarchically with organizational units (OUs), and controlled with policies.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) for the organization. The regex pattern for an organization ID string requires \"o-\" followed by from 10 to 32 lowercase letters or digits.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganization.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit","doc":"An Organizational Unit (OU) is a container of AWS accounts within a root of an organization. Policies that are attached to an OU apply to all accounts contained in that OU and in any child OUs.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier (ID) associated with this OU. The regex pattern for an organizational unit ID string requires \"ou-\" followed by from 4 to 32 lowercase letters or digits (the ID of the root that contains the OU). This string is followed by a second \"-\" dash and from 8 to 32 additional lowercase letters or digits. For example, \"ou-ab12-cd34ef56\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - The friendly name of the OU.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsOrganizationalUnit.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup","doc":"Represents an Azure management group.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Azure management group.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The UUID of the Azure management group, for example, `20000000-0001-0000-0000-000000000000`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata","doc":"Azure metadata associated with the resource, only applicable if the finding's cloud provider is Microsoft Azure.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata","doc":"*   `managementGroups` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureManagementGroup.t)`, *default:* `nil`) - A list of Azure management groups associated with the resource, ordered from lowest level (closest to the subscription) to highest level.\n*   `resourceGroup` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.t`, *default:* `nil`) - The Azure resource group associated with the resource.\n*   `subscription` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.t`, *default:* `nil`) - The Azure subscription associated with the resource.\n*   `tenant` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.t`, *default:* `nil`) - The Azure Entra tenant associated with the resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup","doc":"Represents an Azure resource group.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Azure resource group. This is not a UUID.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureResourceGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription","doc":"Represents an Azure subscription.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Azure subscription.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The UUID of the Azure subscription, for example, `291bba3f-e0a5-47bc-a099-3bdcb2a50a05`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureSubscription.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant","doc":"Represents a Microsoft Entra tenant.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of the Microsoft Entra tenant, for example, \"a11aaa11-aa11-1aa1-11aa-1aaa11a\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureTenant.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery","doc":"Information related to Google Cloud Backup and DR Service findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery","doc":"*   `appliance` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR appliance that captures, moves, and manages the lifecycle of backup data. For example, `backup-server-57137`.\n*   `applications` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR applications. An application is a VM, database, or file system on a managed host monitored by a backup and recovery appliance. For example, `centos7-01-vol00`, `centos7-01-vol01`, `centos7-01-vol02`.\n*   `backupCreateTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp at which the Backup and DR backup was created.\n*   `backupTemplate` (*type:* `String.t`, *default:* `nil`) - The name of a Backup and DR template which comprises one or more backup policies. See the [Backup and DR documentation](https://cloud.google.com/backup-disaster-recovery/docs/concepts/backup-plan#temp) for more information. For example, `snap-ov`.\n*   `backupType` (*type:* `String.t`, *default:* `nil`) - The backup type of the Backup and DR image. For example, `Snapshot`, `Remote Snapshot`, `OnVault`.\n*   `host` (*type:* `String.t`, *default:* `nil`) - The name of a Backup and DR host, which is managed by the backup and recovery appliance and known to the management console. The host can be of type Generic (for example, Compute Engine, SQL Server, Oracle DB, SMB file system, etc.), vCenter, or an ESX server. See the [Backup and DR documentation on hosts](https://cloud.google.com/backup-disaster-recovery/docs/configuration/manage-hosts-and-their-applications) for more information. For example, `centos7-01`.\n*   `policies` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR policies that are associated with a template and that define when to run a backup, how frequently to run a backup, and how long to retain the backup image. For example, `onvaults`.\n*   `policyOptions` (*type:* `list(String.t)`, *default:* `nil`) - The names of Backup and DR advanced policy options of a policy applying to an application. See the [Backup and DR documentation on policy options](https://cloud.google.com/backup-disaster-recovery/docs/create-plan/policy-settings). For example, `skipofflineappsincongrp, nounmap`.\n*   `profile` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR resource profile that specifies the storage media for backups of application and VM data. See the [Backup and DR documentation on profiles](https://cloud.google.com/backup-disaster-recovery/docs/concepts/backup-plan#profile). For example, `GCP`.\n*   `storagePool` (*type:* `String.t`, *default:* `nil`) - The name of the Backup and DR storage pool that the backup and recovery appliance is storing data in. The storage pool could be of type Cloud, Primary, Snapshot, or OnVault. See the [Backup and DR documentation on storage pools](https://cloud.google.com/backup-disaster-recovery/docs/concepts/storage-pools). For example, `DiskPoolOne`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport","doc":"Configures how to deliver Findings to BigQuery Instance.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the BigQuery export was created. This field is set by the server and will be ignored if provided on export on creation.\n*   `dataset` (*type:* `String.t`, *default:* `nil`) - The dataset to write findings' updates to. Its format is \"projects/[project_id]/datasets/[bigquery_dataset_id]\". BigQuery dataset unique ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_).\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the export (max of 1024 characters).\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that defines the filter to apply across create/update events of findings. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes.\n*   `mostRecentEditor` (*type:* `String.t`, *default:* `nil`) - Output only. Email address of the user who last edited the BigQuery export. This field is set by the server and will be ignored if provided on export creation or update.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The relative resource name of this export. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name. The following list shows some examples: + `organizations/{organization_id}/locations/{location_id}/bigQueryExports/{export_id}` + `folders/{folder_id}/locations/{location_id}/bigQueryExports/{export_id}` + `projects/{project_id}/locations/{location_id}/bigQueryExports/{export_id}` This field is provided in responses, and is ignored when provided in create requests.\n*   `principal` (*type:* `String.t`, *default:* `nil`) - Output only. The service account that needs permission to create table and upload data to the BigQuery dataset.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time at which the BigQuery export was updated. This field is set by the server and will be ignored if provided on export creation or update.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BigQueryExport.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding","doc":"Represents a Kubernetes RoleBinding or ClusterRoleBinding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name for the binding.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace for the binding.\n*   `role` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.t`, *default:* `nil`) - The Role or ClusterRole referenced by the binding.\n*   `subjects` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.t)`, *default:* `nil`) - Represents one or more subjects that are bound to the role. Not always available for PATCH requests.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse","doc":"The response to a BulkMute request. Contains the LRO information.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BulkMuteFindingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor","doc":"Fields related to Google Cloud Armor findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor","doc":"*   `adaptiveProtection` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AdaptiveProtection.t`, *default:* `nil`) - Information about potential Layer 7 DDoS attacks identified by [Google Cloud Armor Adaptive Protection](https://cloud.google.com/armor/docs/adaptive-protection-overview).\n*   `attack` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Attack.t`, *default:* `nil`) - Information about DDoS attack volume and classification.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Duration of attack from the start until the current moment (updated every 5 minutes).\n*   `requests` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.t`, *default:* `nil`) - Information about incoming requests evaluated by [Google Cloud Armor security policies](https://cloud.google.com/armor/docs/security-policy-overview).\n*   `securityPolicy` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.t`, *default:* `nil`) - Information about the [Google Cloud Armor security policy](https://cloud.google.com/armor/docs/security-policy-overview) relevant to the finding.\n*   `threatVector` (*type:* `String.t`, *default:* `nil`) - Distinguish between volumetric & protocol DDoS attack and application layer attacks. For example, \"L3_4\" for Layer 3 and Layer 4 DDoS attacks, or \"L_7\" for Layer 7 DDoS attacks.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile","doc":"The [data profile](https://cloud.google.com/dlp/docs/data-profiles) associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile","doc":"*   `dataProfile` (*type:* `String.t`, *default:* `nil`) - Name of the data profile, for example, `projects/123/locations/europe/tableProfiles/8383929`.\n*   `parentType` (*type:* `String.t`, *default:* `nil`) - The resource hierarchy level at which the data profile was generated.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection","doc":"Details about the Cloud Data Loss Prevention (Cloud DLP) [inspection job](https://cloud.google.com/dlp/docs/concepts-job-triggers) that produced the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection","doc":"*   `fullScan` (*type:* `boolean()`, *default:* `nil`) - Whether Cloud DLP scanned the complete resource or a sampled subset.\n*   `infoType` (*type:* `String.t`, *default:* `nil`) - The type of information (or *[infoType](https://cloud.google.com/dlp/docs/infotypes-reference)*) found, for example, `EMAIL_ADDRESS` or `STREET_ADDRESS`.\n*   `infoTypeCount` (*type:* `String.t`, *default:* `nil`) - The number of times Cloud DLP found this infoType within this job and resource.\n*   `inspectJob` (*type:* `String.t`, *default:* `nil`) - Name of the inspection job, for example, `projects/123/locations/europe/dlpJobs/i-8383929`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry","doc":"Metadata taken from a [Cloud Logging LogEntry](https://cloud.google.com/logging/docs/reference/v2/rest/v2/LogEntry)","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry","doc":"*   `insertId` (*type:* `String.t`, *default:* `nil`) - A unique identifier for the log entry.\n*   `logId` (*type:* `String.t`, *default:* `nil`) - The type of the log (part of `log_name`. `log_name` is the resource name of the log to which this log entry belongs). For example: `cloudresourcemanager.googleapis.com/activity` Note that this field is not URL-encoded, unlike in `LogEntry`.\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - The organization, folder, or project of the monitored resource that produced this log entry.\n*   `timestamp` (*type:* `DateTime.t`, *default:* `nil`) - The time the event described by the log entry occurred.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance","doc":"Contains compliance information about a security standard indicating unmet recommendations.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance","doc":"*   `ids` (*type:* `list(String.t)`, *default:* `nil`) - Policies within the standard or benchmark, for example, A.12.4.1\n*   `standard` (*type:* `String.t`, *default:* `nil`) - Industry-wide compliance standards or benchmarks, such as CIS, PCI, and OWASP.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the standard or benchmark, for example, 1.1","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection","doc":"Contains information about the IP connection associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection","doc":"*   `destinationIp` (*type:* `String.t`, *default:* `nil`) - Destination IP address. Not present for sockets that are listening and not connected.\n*   `destinationPort` (*type:* `integer()`, *default:* `nil`) - Destination port. Not present for sockets that are listening and not connected.\n*   `protocol` (*type:* `String.t`, *default:* `nil`) - IANA Internet Protocol Number such as TCP(6) and UDP(17).\n*   `sourceIp` (*type:* `String.t`, *default:* `nil`) - Source IP address.\n*   `sourcePort` (*type:* `integer()`, *default:* `nil`) - Source port.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact","doc":"The email address of a contact.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - An email address. For example, \"`person123@company.com`\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails","doc":"Details about specific contacts","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails","doc":"*   `contacts` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Contact.t)`, *default:* `nil`) - A list of contacts","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container","doc":"Container associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the container was created.\n*   `imageId` (*type:* `String.t`, *default:* `nil`) - Optional container image ID, if provided by the container runtime. Uniquely identifies the container image launched using a container image digest.\n*   `labels` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.t)`, *default:* `nil`) - Container labels, as provided by the container runtime.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the container.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Container image URI provided when configuring a pod or container. This string can identify a container image version using mutable tags.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve","doc":"CVE stands for Common Vulnerabilities and Exposures. Information from the [CVE record](https://www.cve.org/ResourcesSupport/Glossary) that describes this vulnerability.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve","doc":"*   `cvssv3` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.t`, *default:* `nil`) - Describe Common Vulnerability Scoring System specified at https://www.first.org/cvss/v3.1/specification-document\n*   `exploitReleaseDate` (*type:* `DateTime.t`, *default:* `nil`) - Date the first publicly available exploit or PoC was released.\n*   `exploitationActivity` (*type:* `String.t`, *default:* `nil`) - The exploitation activity of the vulnerability in the wild.\n*   `firstExploitationDate` (*type:* `DateTime.t`, *default:* `nil`) - Date of the earliest known exploitation.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The unique identifier for the vulnerability. e.g. CVE-2021-34527\n*   `impact` (*type:* `String.t`, *default:* `nil`) - The potential impact of the vulnerability if it was to be exploited.\n*   `observedInTheWild` (*type:* `boolean()`, *default:* `nil`) - Whether or not the vulnerability has been observed in the wild.\n*   `references` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.t)`, *default:* `nil`) - Additional information about the CVE. e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527\n*   `upstreamFixAvailable` (*type:* `boolean()`, *default:* `nil`) - Whether upstream fix is available for the CVE.\n*   `zeroDay` (*type:* `boolean()`, *default:* `nil`) - Whether or not the vulnerability was zero day when the finding was published.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3","doc":"Common Vulnerability Scoring System version 3.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3","doc":"*   `attackComplexity` (*type:* `String.t`, *default:* `nil`) - This metric describes the conditions beyond the attacker's control that must exist in order to exploit the vulnerability.\n*   `attackVector` (*type:* `String.t`, *default:* `nil`) - Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. This metric reflects the context by which vulnerability exploitation is possible.\n*   `availabilityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability.\n*   `baseScore` (*type:* `float()`, *default:* `nil`) - The base score is a function of the base metric scores.\n*   `confidentialityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability.\n*   `integrityImpact` (*type:* `String.t`, *default:* `nil`) - This metric measures the impact to integrity of a successfully exploited vulnerability.\n*   `privilegesRequired` (*type:* `String.t`, *default:* `nil`) - This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.\n*   `scope` (*type:* `String.t`, *default:* `nil`) - The Scope metric captures whether a vulnerability in one vulnerable component impacts resources in components beyond its security scope.\n*   `userInteraction` (*type:* `String.t`, *default:* `nil`) - This metric captures the requirement for a human user, other than the attacker, to participate in the successful compromise of the vulnerable component.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cvssv3.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent","doc":"Details about a data access attempt made by a principal not authorized under applicable data security policy.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent","doc":"*   `eventId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for data access event.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of data access event.\n*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation performed by the principal to access the data.\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of the principal that accessed the data. The principal could be a user account, service account, Google group, or other.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent","doc":"Details about a data flow event, in which either the data is moved to or is accessed from a non-compliant geo-location, as defined in the applicable data security policy.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent","doc":"*   `eventId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for data flow event.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of data flow event.\n*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation performed by the principal for the data flow event.\n*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of the principal that initiated the data flow event. The principal could be a user account, service account, Google group, or other.\n*   `violatedLocation` (*type:* `String.t`, *default:* `nil`) - Non-compliant location of the principal or the data destination.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database","doc":"Represents database access information, such as queries. A database may be a sub-resource of an instance (as in the case of Cloud SQL instances or Cloud Spanner instances), or the database instance itself. Some database resources might not have the [full resource name](https://google.aip.dev/122#full-resource-names) populated because these resource types, such as Cloud SQL databases, are not yet supported by Cloud Asset Inventory. In these cases only the display name is provided.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human-readable name of the database that the user connected to.\n*   `grantees` (*type:* `list(String.t)`, *default:* `nil`) - The target usernames, roles, or groups of an SQL privilege grant, which is not an IAM policy change.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Some database resources may not have the [full resource name](https://google.aip.dev/122#full-resource-names) populated because these resource types are not yet supported by Cloud Asset Inventory (e.g. Cloud SQL databases). In these cases only the display name will be provided. The [full resource name](https://google.aip.dev/122#full-resource-names) of the database that the user connected to, if it is supported by Cloud Asset Inventory.\n*   `query` (*type:* `String.t`, *default:* `nil`) - The SQL statement that is associated with the database access.\n*   `userName` (*type:* `String.t`, *default:* `nil`) - The username used to connect to the database. The username might not be an IAM principal and does not have a set format.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The version of the database, for example, POSTGRES_14. See [the complete list](https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1/SqlDatabaseVersion).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection","doc":"Memory hash detection contributing to the binary family match.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection","doc":"*   `binary` (*type:* `String.t`, *default:* `nil`) - The name of the binary associated with the memory hash signature detection.\n*   `percentPagesMatched` (*type:* `float()`, *default:* `nil`) - The percentage of memory page hashes in the signature that were matched.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath","doc":"Path of the file in terms of underlying disk/partition identifiers.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath","doc":"*   `partitionUuid` (*type:* `String.t`, *default:* `nil`) - UUID of the partition (format https://wiki.archlinux.org/title/persistent_block_device_naming#by-uuid)\n*   `relativePath` (*type:* `String.t`, *default:* `nil`) - Relative path of the file in the partition as a JSON encoded string. Example: /home/user1/executable_file.sh","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord","doc":"The record of a dynamic mute rule that matches the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord","doc":"*   `matchTime` (*type:* `DateTime.t`, *default:* `nil`) - When the dynamic mute rule first matched the finding.\n*   `muteConfig` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the mute rule, represented by a mute config, that created this record, for example `organizations/123/muteConfigs/mymuteconfig` or `organizations/123/locations/global/muteConfigs/mymuteconfig`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable","doc":"A name-value pair representing an environment variable used in an operating system process.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Environment variable name as a JSON encoded string.\n*   `val` (*type:* `String.t`, *default:* `nil`) - Environment variable value as a JSON encoded string.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource","doc":"Resource where data was exfiltrated from or exfiltrated to.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource","doc":"*   `components` (*type:* `list(String.t)`, *default:* `nil`) - Subcomponents of the asset that was exfiltrated, like URIs used during exfiltration, table names, databases, and filenames. For example, multiple tables might have been exfiltrated from the same Cloud SQL instance, or multiple files might have been exfiltrated from the same Cloud Storage bucket.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource's [full resource name](https://cloud.google.com/apis/design/resource_names#full_resource_name).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration","doc":"Exfiltration represents a data exfiltration attempt from one or more sources to one or more targets. The `sources` attribute lists the sources of the exfiltrated data. The `targets` attribute lists the destinations the data was copied to.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration","doc":"*   `sources` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.t)`, *default:* `nil`) - If there are multiple sources, then the data is considered \"joined\" between them. For instance, BigQuery can join multiple tables, and each table would be considered a source.\n*   `targets` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExfilResource.t)`, *default:* `nil`) - If there are multiple targets, each target would get a complete copy of the \"joined\" source data.\n*   `totalExfiltratedBytes` (*type:* `String.t`, *default:* `nil`) - Total exfiltrated bytes processed for the entire job.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem","doc":"Representation of third party SIEM/SOAR fields within SCC.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem","doc":"*   `assignees` (*type:* `list(String.t)`, *default:* `nil`) - References primary/secondary etc assignees in the external system.\n*   `caseCloseTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was closed, as reported by the external system.\n*   `caseCreateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was created, as reported by the external system.\n*   `casePriority` (*type:* `String.t`, *default:* `nil`) - The priority of the finding's corresponding case in the external system.\n*   `caseSla` (*type:* `DateTime.t`, *default:* `nil`) - The SLA of the finding's corresponding case in the external system.\n*   `caseUri` (*type:* `String.t`, *default:* `nil`) - The link to the finding's corresponding case in the external system.\n*   `externalSystemUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the case was last updated, as reported by the external system.\n*   `externalUid` (*type:* `String.t`, *default:* `nil`) - The identifier that's used to track the finding's corresponding case in the external system.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name of the external system. The following list shows some examples: + `organizations/1234/sources/5678/findings/123456/externalSystems/jira` + `organizations/1234/sources/5678/locations/us/findings/123456/externalSystems/jira` + `folders/1234/sources/5678/findings/123456/externalSystems/jira` + `folders/1234/sources/5678/locations/us/findings/123456/externalSystems/jira` + `projects/1234/sources/5678/findings/123456/externalSystems/jira` + `projects/1234/sources/5678/locations/us/findings/123456/externalSystems/jira`\n*   `status` (*type:* `String.t`, *default:* `nil`) - The most recent status of the finding's corresponding case, as reported by the external system.\n*   `ticketInfo` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.t`, *default:* `nil`) - Information about the ticket, if any, that is being used to track the resolution of the issue that is identified by this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File","doc":"File information about the related binary/library used by an executable, or the script used by a script interpreter","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File","doc":"*   `contents` (*type:* `String.t`, *default:* `nil`) - Prefix of the file contents as a JSON-encoded string.\n*   `diskPath` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DiskPath.t`, *default:* `nil`) - Path of the file in terms of underlying disk/partition identifiers.\n*   `hashedSize` (*type:* `String.t`, *default:* `nil`) - The length in bytes of the file prefix that was hashed. If hashed_size == size, any hashes reported represent the entire file.\n*   `partiallyHashed` (*type:* `boolean()`, *default:* `nil`) - True when the hash covers only a prefix of the file.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Absolute path of the file as a JSON encoded string.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - SHA256 hash of the first hashed_size bytes of the file encoded as a hex string. If hashed_size == size, sha256 represents the SHA256 hash of the entire file.\n*   `size` (*type:* `String.t`, *default:* `nil`) - Size of the file in bytes.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding","doc":"Security Command Center finding. A finding is a record of assessment data like security, risk, health, or privacy, that is ingested into Security Command Center for presentation, notification, analysis, policy testing, and enforcement. For example, a cross-site scripting (XSS) vulnerability in an App Engine application is a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding","doc":"*   `nextSteps` (*type:* `String.t`, *default:* `nil`) - Steps to address the finding.\n*   `attackExposure` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AttackExposure.t`, *default:* `nil`) - The results of an attack path simulation relevant to this finding.\n*   `groupMemberships` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.t)`, *default:* `nil`) - Contains details about groups of which this finding is a member. A group is a collection of findings that are related in some way. This field cannot be updated. Its value is ignored in all update requests.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the finding was created in Security Command Center.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The state of the finding.\n*   `orgPolicies` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.t)`, *default:* `nil`) - Contains information about the org policies associated with the finding.\n*   `database` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Database.t`, *default:* `nil`) - Database associated with the finding.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. The following list shows some examples: + `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}` + `organizations/{organization_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}` + `folders/{folder_id}/sources/{source_id}/findings/{finding_id}` + `folders/{folder_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}` + `projects/{project_id}/sources/{source_id}/findings/{finding_id}` + `projects/{project_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}`\n*   `dataFlowEvents` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataFlowEvent.t)`, *default:* `nil`) - Data flow events associated with the finding.\n*   `vulnerability` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.t`, *default:* `nil`) - Represents vulnerability-specific fields like CVE and CVSS scores. CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)\n*   `mute` (*type:* `String.t`, *default:* `nil`) - Indicates the mute state of a finding (either muted, unmuted or undefined). Unlike other attributes of a finding, a finding provider shouldn't set the value of mute.\n*   `moduleName` (*type:* `String.t`, *default:* `nil`) - Unique identifier of the module which generated the finding. Example: folders/598186756061/securityHealthAnalyticsSettings/customModules/56799441161885\n*   `description` (*type:* `String.t`, *default:* `nil`) - Contains more details about the finding.\n*   `notebook` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.t`, *default:* `nil`) - Notebook associated with the finding.\n*   `cloudDlpDataProfile` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpDataProfile.t`, *default:* `nil`) - Cloud DLP data profile that is associated with the finding.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - The severity of the finding. This field is managed by the source that writes the finding.\n*   `muteInfo` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.t`, *default:* `nil`) - Output only. The mute information regarding this finding.\n*   `kubernetes` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.t`, *default:* `nil`) - Kubernetes resources associated with the finding.\n*   `toxicCombination` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.t`, *default:* `nil`) - Contains details about a group of security issues that, when the issues occur together, represent a greater risk than when the issues occur independently. A group of such issues is referred to as a toxic combination. This field cannot be updated. Its value is ignored in all update requests.\n*   `sourceProperties` (*type:* `map()`, *default:* `nil`) - Source specific properties. These properties are managed by the source that writes the finding. The key names in the source_properties map must be between 1 and 255 characters, and must start with a letter and contain alphanumeric characters or underscores only.\n*   `backupDisasterRecovery` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2BackupDisasterRecovery.t`, *default:* `nil`) - Fields related to Backup and DR findings.\n*   `compliances` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Compliance.t)`, *default:* `nil`) - Contains compliance information for security standards associated to the finding.\n*   `securityPosture` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.t`, *default:* `nil`) - The security posture associated with the finding.\n*   `application` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Application.t`, *default:* `nil`) - Represents an application associated with the finding.\n*   `files` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.t)`, *default:* `nil`) - File associated with the finding.\n*   `iamBindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.t)`, *default:* `nil`) - Represents IAM bindings associated with the finding.\n*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.t)`, *default:* `nil`) - Containers associated with the finding. This field provides information for both Kubernetes and non-Kubernetes containers.\n*   `externalUri` (*type:* `String.t`, *default:* `nil`) - The URI that, if available, points to a web page outside of Security Command Center where additional information about the finding can be found. This field is guaranteed to be either empty or a well formed URL.\n*   `securityMarks` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.t`, *default:* `nil`) - Output only. User specified security marks. These marks are entirely managed by the user and come from the SecurityMarks resource that belongs to the finding.\n*   `muteInitiator` (*type:* `String.t`, *default:* `nil`) - Records additional information about the mute operation, for example, the [mute configuration](https://cloud.google.com/security-command-center/docs/how-to-mute-findings) that muted the finding and the user who muted the finding.\n*   `connections` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Connection.t)`, *default:* `nil`) - Contains information about the IP connection associated with the finding.\n*   `externalSystems` (*type:* `%{optional(String.t) => GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ExternalSystem.t}`, *default:* `nil`) - Output only. Third party SIEM/SOAR fields within SCC, contains external system information and external system finding fields.\n*   `loadBalancers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.t)`, *default:* `nil`) - The load balancers associated with the finding.\n*   `kernelRootkit` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.t`, *default:* `nil`) - Signature of the kernel rootkit.\n*   `processes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.t)`, *default:* `nil`) - Represents operating system processes associated with the Finding.\n*   `logEntries` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.t)`, *default:* `nil`) - Log entries that are relevant to the finding.\n*   `cloudArmor` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudArmor.t`, *default:* `nil`) - Fields related to Cloud Armor findings.\n*   `access` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Access.t`, *default:* `nil`) - Access details associated with the finding, such as more information on the caller, which method was accessed, and from where.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Immutable. For findings on Google Cloud resources, the full resource name of the Google Cloud resource this finding is for. See: https://cloud.google.com/apis/design/resource_names#full_resource_name When the finding is for a non-Google Cloud resource, the resourceName can be a customer or partner defined string.\n*   `mitreAttack` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.t`, *default:* `nil`) - MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org\n*   `category` (*type:* `String.t`, *default:* `nil`) - Immutable. The additional taxonomy group within findings from a given source. Example: \"XSS_FLASH_INJECTION\"\n*   `exfiltration` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Exfiltration.t`, *default:* `nil`) - Represents exfiltrations associated with the finding.\n*   `findingClass` (*type:* `String.t`, *default:* `nil`) - The class of the finding.\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the finding was first detected. If an existing finding is updated, then this is the time the update occurred. For example, if the finding represents an open firewall, this property captures the time the detector believes the firewall became open. The accuracy is determined by the detector. If the finding is later resolved, then this time reflects when the finding was resolved. This must not be set to a value greater than the current timestamp.\n*   `dataAccessEvents` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DataAccessEvent.t)`, *default:* `nil`) - Data access events associated with the finding.\n*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - Output only. The canonical name of the finding. The following list shows some examples: + `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}` + `organizations/{organization_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}` + `folders/{folder_id}/sources/{source_id}/findings/{finding_id}` + `folders/{folder_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}` + `projects/{project_id}/sources/{source_id}/findings/{finding_id}` + `projects/{project_id}/sources/{source_id}/locations/{location_id}/findings/{finding_id}` The prefix is the closest CRM ancestor of the resource associated with the finding.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the source and location the finding belongs to. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name This field is immutable after creation time. The following list shows some examples: + `organizations/{organization_id}/sources/{source_id}` + `folders/{folders_id}/sources/{source_id}` + `projects/{projects_id}/sources/{source_id}` + `organizations/{organization_id}/sources/{source_id}/locations/{location_id}` + `folders/{folders_id}/sources/{source_id}/locations/{location_id}` + `projects/{projects_id}/sources/{source_id}/locations/{location_id}`\n*   `muteUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time this finding was muted or unmuted.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The human readable display name of the finding source such as \"Event Threat Detection\" or \"Security Health Analytics\".\n*   `contacts` (*type:* `%{optional(String.t) => GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ContactDetails.t}`, *default:* `nil`) - Output only. Map containing the points of contact for the given finding. The key represents the type of contact, while the value contains a list of all the contacts that pertain. Please refer to: https://cloud.google.com/resource-manager/docs/managing-notification-contacts#notification-categories { \"security\": { \"contacts\": [ { \"email\": \"person1@company.com\" }, { \"email\": \"person2@company.com\" } ] } }\n*   `cloudDlpInspection` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudDlpInspection.t`, *default:* `nil`) - Cloud Data Loss Prevention (Cloud DLP) inspection results that are associated with the finding.\n*   `indicator` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.t`, *default:* `nil`) - Represents what's commonly known as an *indicator of compromise* (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. For more information, see [Indicator of compromise](https://en.wikipedia.org/wiki/Indicator_of_compromise).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder","doc":"Message that contains the resource name and display name of a folder resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder","doc":"*   `resourceFolder` (*type:* `String.t`, *default:* `nil`) - Full resource name of this folder. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceFolderDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for this folder.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Folder.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation","doc":"Represents a geographical location for a given access.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation","doc":"*   `regionCode` (*type:* `String.t`, *default:* `nil`) - A CLDR.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Geolocation.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership","doc":"Contains details about groups of which this finding is a member. A group is a collection of findings that are related in some way.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership","doc":"*   `groupId` (*type:* `String.t`, *default:* `nil`) - ID of the group.\n*   `groupType` (*type:* `String.t`, *default:* `nil`) - Type of group.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2GroupMembership.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding","doc":"Represents a particular IAM binding, which captures a member's role addition, removal, or state.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action that was performed on a Binding.\n*   `member` (*type:* `String.t`, *default:* `nil`) - A single identity requesting access for a Cloud Platform resource, for example, \"foo@google.com\".\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to \"members\". For example, \"roles/viewer\", \"roles/editor\", or \"roles/owner\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2IamBinding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator","doc":"Represents what's commonly known as an _indicator of compromise_ (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. For more information, see [Indicator of compromise](https://en.wikipedia.org/wiki/Indicator_of_compromise).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator","doc":"*   `domains` (*type:* `list(String.t)`, *default:* `nil`) - List of domains associated to the Finding.\n*   `ipAddresses` (*type:* `list(String.t)`, *default:* `nil`) - The list of IP addresses that are associated with the finding.\n*   `signatures` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.t)`, *default:* `nil`) - The list of matched signatures indicating that the given process is present in the environment.\n*   `uris` (*type:* `list(String.t)`, *default:* `nil`) - The list of URIs associated to the Findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Indicator.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit","doc":"Kernel mode rootkit signatures.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Rootkit name, when available.\n*   `unexpectedCodeModification` (*type:* `boolean()`, *default:* `nil`) - True if unexpected modifications of kernel code memory are present.\n*   `unexpectedFtraceHandler` (*type:* `boolean()`, *default:* `nil`) - True if `ftrace` points are present with callbacks pointing to regions that are not in the expected kernel or module code range.\n*   `unexpectedInterruptHandler` (*type:* `boolean()`, *default:* `nil`) - True if interrupt handlers that are are not in the expected kernel or module code regions are present.\n*   `unexpectedKernelCodePages` (*type:* `boolean()`, *default:* `nil`) - True if kernel code pages that are not in the expected kernel or module code regions are present.\n*   `unexpectedKprobeHandler` (*type:* `boolean()`, *default:* `nil`) - True if `kprobe` points are present with callbacks pointing to regions that are not in the expected kernel or module code range.\n*   `unexpectedProcessesInRunqueue` (*type:* `boolean()`, *default:* `nil`) - True if unexpected processes in the scheduler run queue are present. Such processes are in the run queue, but not in the process task list.\n*   `unexpectedReadOnlyDataModification` (*type:* `boolean()`, *default:* `nil`) - True if unexpected modifications of kernel read-only data memory are present.\n*   `unexpectedSystemCallHandler` (*type:* `boolean()`, *default:* `nil`) - True if system call handlers that are are not in the expected kernel or module code regions are present.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2KernelRootkit.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes","doc":"Kubernetes-related attributes.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes","doc":"*   `accessReviews` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AccessReview.t)`, *default:* `nil`) - Provides information on any Kubernetes access reviews (privilege checks) relevant to the finding.\n*   `bindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Binding.t)`, *default:* `nil`) - Provides Kubernetes role binding information for findings that involve [RoleBindings or ClusterRoleBindings](https://cloud.google.com/kubernetes-engine/docs/how-to/role-based-access-control).\n*   `nodePools` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.t)`, *default:* `nil`) - GKE [node pools](https://cloud.google.com/kubernetes-engine/docs/concepts/node-pools) associated with the finding. This field contains node pool information for each node, when it is available.\n*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.t)`, *default:* `nil`) - Provides Kubernetes [node](https://cloud.google.com/kubernetes-engine/docs/concepts/cluster-architecture#nodes) information.\n*   `objects` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.t)`, *default:* `nil`) - Kubernetes objects related to the finding.\n*   `pods` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.t)`, *default:* `nil`) - Kubernetes [Pods](https://cloud.google.com/kubernetes-engine/docs/concepts/pod) associated with the finding. This field contains Pod records for each container that is owned by a Pod.\n*   `roles` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.t)`, *default:* `nil`) - Provides Kubernetes role information for findings that involve [Roles or ClusterRoles](https://cloud.google.com/kubernetes-engine/docs/how-to/role-based-access-control).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Kubernetes.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label","doc":"Represents a generic name-value label. A label has separate name and value fields to support filtering with the `contains()` function. For more information, see [Filtering on array-type fields](https://cloud.google.com/security-command-center/docs/how-to-api-list-findings#array-contains-filtering).","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the label.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Value that corresponds to the label's name.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer","doc":"Contains information related to the load balancer associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the load balancer associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LoadBalancer.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry","doc":"An individual entry in a log.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry","doc":"*   `cloudLoggingEntry` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2CloudLoggingEntry.t`, *default:* `nil`) - An individual entry in a log stored in Cloud Logging.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2LogEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature","doc":"A signature corresponding to memory page hashes.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature","doc":"*   `binaryFamily` (*type:* `String.t`, *default:* `nil`) - The binary family.\n*   `detections` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Detection.t)`, *default:* `nil`) - The list of memory hash detections contributing to the binary family match.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack","doc":"MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack","doc":"*   `additionalTactics` (*type:* `list(String.t)`, *default:* `nil`) - Additional MITRE ATT&CK tactics related to this finding, if any.\n*   `additionalTechniques` (*type:* `list(String.t)`, *default:* `nil`) - Additional MITRE ATT&CK techniques related to this finding, if any, along with any of their respective parent techniques.\n*   `primaryTactic` (*type:* `String.t`, *default:* `nil`) - The MITRE ATT&CK tactic most closely represented by this finding, if any.\n*   `primaryTechniques` (*type:* `list(String.t)`, *default:* `nil`) - The MITRE ATT&CK technique most closely represented by this finding, if any. primary_techniques is a repeated field because there are multiple levels of MITRE ATT&CK techniques. If the technique most closely represented by this finding is a sub-technique (e.g. `SCANNING_IP_BLOCKS`), both the sub-technique and its parent technique(s) will be listed (e.g. `SCANNING_IP_BLOCKS`, `ACTIVE_SCANNING`).\n*   `version` (*type:* `String.t`, *default:* `nil`) - The MITRE ATT&CK version referenced by the above fields. E.g. \"8\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MitreAttack.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig","doc":"A mute config is a Cloud SCC resource that contains the configuration to mute create/update events of findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the mute config was created. This field is set by the server and will be ignored if provided on config creation.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the mute config.\n*   `expiryTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The expiry of the mute config. Only applicable for dynamic configs. If the expiry is set, when the config expires, it is removed from all findings.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Required. An expression that defines the filter to apply across create/update events of findings. While creating a filter string, be mindful of the scope in which the mute configuration is being created. E.g., If a filter contains project = X but is created under the project = Y scope, it might not match any findings. The following field and operator combinations are supported: * severity: `=`, `:` * category: `=`, `:` * resource.name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.folders.resource_folder: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.type: `=`, `:` * finding_class: `=`, `:` * indicator.ip_addresses: `=`, `:` * indicator.domains: `=`, `:`\n*   `mostRecentEditor` (*type:* `String.t`, *default:* `nil`) - Output only. Email address of the user who last edited the mute config. This field is set by the server and will be ignored if provided on config creation or update.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. This field will be ignored if provided on config creation. The following list shows some examples of the format: + `organizations/{organization}/muteConfigs/{mute_config}` + `organizations/{organization}locations/{location}//muteConfigs/{mute_config}` + `folders/{folder}/muteConfigs/{mute_config}` + `folders/{folder}/locations/{location}/muteConfigs/{mute_config}` + `projects/{project}/muteConfigs/{mute_config}` + `projects/{project}/locations/{location}/muteConfigs/{mute_config}`\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the mute config, which determines what type of mute state the config affects. Immutable after creation.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The most recent time at which the mute config was updated. This field is set by the server and will be ignored if provided on config creation or update.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo","doc":"Mute information about the finding, including whether the finding has a static mute or any matching dynamic mute rules.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo","doc":"*   `dynamicMuteRecords` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2DynamicMuteRecord.t)`, *default:* `nil`) - The list of dynamic mute rules that currently match the finding.\n*   `staticMute` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.t`, *default:* `nil`) - If set, the static mute applied to this finding. Static mutes override dynamic mutes. If unset, there is no static mute.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MuteInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node","doc":"Kubernetes nodes associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - [Full resource name](https://google.aip.dev/122#full-resource-names) of the Compute Engine VM running the cluster node.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool","doc":"Provides GKE node pool information.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes node pool name.\n*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Node.t)`, *default:* `nil`) - Nodes associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NodePool.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook","doc":"Represents a Jupyter notebook IPYNB file, such as a [Colab Enterprise notebook](https://cloud.google.com/colab/docs/introduction) file, that is associated with a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook","doc":"*   `lastAuthor` (*type:* `String.t`, *default:* `nil`) - The user ID of the latest author to modify the notebook.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the notebook.\n*   `notebookUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - The most recent time the notebook was updated.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The source notebook service, for example, \"Colab Enterprise\".","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Notebook.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage","doc":"Cloud SCC's Notification","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage","doc":"*   `finding` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Finding.t`, *default:* `nil`) - If it's a Finding based notification config, this field will be populated.\n*   `notificationConfigName` (*type:* `String.t`, *default:* `nil`) - Name of the notification config that generated current notification.\n*   `resource` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.t`, *default:* `nil`) - The Cloud resource tied to this notification's Finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2NotificationMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object","doc":"Kubernetes object related to the finding, uniquely identified by GKNN. Used if the object Kind is not one of Pod, Node, NodePool, Binding, or AccessReview.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object","doc":"*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.t)`, *default:* `nil`) - Pod containers associated with this finding, if any.\n*   `group` (*type:* `String.t`, *default:* `nil`) - Kubernetes object group, such as \"policy.k8s.io/v1\".\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Kubernetes object kind, such as \"Namespace\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes object name. For details see https://kubernetes.io/docs/concepts/overview/working-with-objects/names/.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Kubernetes object namespace. Must be a valid DNS label. Named \"ns\" to avoid collision with C++ namespace keyword. For details see https://kubernetes.io/docs/tasks/administer-cluster/namespaces/.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Object.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy","doc":"Contains information about the org policies associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the org policy. Example: \"organizations/{organization_id}/policies/{constraint_name}\"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2OrgPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package","doc":"Package is a generic definition of a package.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package","doc":"*   `cpeUri` (*type:* `String.t`, *default:* `nil`) - The CPE URI where the vulnerability was detected.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - The name of the package where the vulnerability was detected.\n*   `packageType` (*type:* `String.t`, *default:* `nil`) - Type of package, for example, os, maven, or go.\n*   `packageVersion` (*type:* `String.t`, *default:* `nil`) - The version of the package.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod","doc":"A Kubernetes Pod.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod","doc":"*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Container.t)`, *default:* `nil`) - Pod containers associated with this finding, if any.\n*   `labels` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Label.t)`, *default:* `nil`) - Pod labels. For Kubernetes containers, these are applied to the container.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes Pod name.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Kubernetes Pod namespace.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Pod.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails","doc":"The policy field that violates the deployed posture and its expected and detected values.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails","doc":"*   `detectedValue` (*type:* `String.t`, *default:* `nil`) - The detected value that violates the deployed posture, for example, `false` or `allowed_values={\"projects/22831892\"}`.\n*   `expectedValue` (*type:* `String.t`, *default:* `nil`) - The value of this field that was configured in a posture, for example, `true` or `allowed_values={\"projects/29831892\"}`.\n*   `field` (*type:* `String.t`, *default:* `nil`) - The name of the updated field, for example constraint.implementation.policy_rules[0].enforce","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process","doc":"Represents an operating system process.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process","doc":"*   `args` (*type:* `list(String.t)`, *default:* `nil`) - Process arguments as JSON encoded strings.\n*   `argumentsTruncated` (*type:* `boolean()`, *default:* `nil`) - True if `args` is incomplete.\n*   `binary` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.t`, *default:* `nil`) - File information for the process executable.\n*   `envVariables` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2EnvironmentVariable.t)`, *default:* `nil`) - Process environment variables.\n*   `envVariablesTruncated` (*type:* `boolean()`, *default:* `nil`) - True if `env_variables` is incomplete.\n*   `libraries` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.t)`, *default:* `nil`) - File information for libraries loaded by the process.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The process name, as displayed in utilities like `top` and `ps`. This name can be accessed through `/proc/[pid]/comm` and changed with `prctl(PR_SET_NAME)`.\n*   `parentPid` (*type:* `String.t`, *default:* `nil`) - The parent process ID.\n*   `pid` (*type:* `String.t`, *default:* `nil`) - The process ID.\n*   `script` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2File.t`, *default:* `nil`) - When the process represents the invocation of a script, `binary` provides information about the interpreter, while `script` provides information about the script file provided to the interpreter.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Process.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature","doc":"Indicates what signature matched this process.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature","doc":"*   `memoryHashSignature` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2MemoryHashSignature.t`, *default:* `nil`) - Signature indicating that a binary family was matched.\n*   `signatureType` (*type:* `String.t`, *default:* `nil`) - Describes the type of resource associated with the signature.\n*   `yaraRuleSignature` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.t`, *default:* `nil`) - Signature indicating that a YARA rule was matched.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ProcessSignature.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference","doc":"Additional Links","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference","doc":"*   `source` (*type:* `String.t`, *default:* `nil`) - Source of the reference e.g. NVD\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Uri for the mentioned source e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Reference.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests","doc":"Information about the requests relevant to the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests","doc":"*   `longTermAllowed` (*type:* `integer()`, *default:* `nil`) - Allowed RPS (requests per second) over the long term.\n*   `longTermDenied` (*type:* `integer()`, *default:* `nil`) - Denied RPS (requests per second) over the long term.\n*   `ratio` (*type:* `float()`, *default:* `nil`) - For 'Increasing deny ratio', the ratio is the denied traffic divided by the allowed traffic. For 'Allowed traffic spike', the ratio is the allowed traffic in the short term divided by allowed traffic in the long term.\n*   `shortTermAllowed` (*type:* `integer()`, *default:* `nil`) - Allowed RPS (requests per second) in the short term.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Requests.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource","doc":"Information related to the Google Cloud resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource","doc":"*   `awsMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AwsMetadata.t`, *default:* `nil`) - The AWS metadata associated with the finding.\n*   `azureMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2AzureMetadata.t`, *default:* `nil`) - The Azure metadata associated with the finding.\n*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Indicates which cloud provider the finding is from.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of the resource.\n*   `gcpMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.GcpMetadata.t`, *default:* `nil`) - The GCP metadata associated with the finding.\n*   `location` (*type:* `String.t`, *default:* `nil`) - The region or location of the service (if applicable).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourcePath` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.t`, *default:* `nil`) - Provides the path to the resource within the resource hierarchy.\n*   `resourcePathString` (*type:* `String.t`, *default:* `nil`) - A string representation of the resource path. For Google Cloud, it has the format of `organizations/{organization_id}/folders/{folder_id}/folders/{folder_id}/projects/{project_id}` where there can be any number of folders. For AWS, it has the format of `org/{organization_id}/ou/{organizational_unit_id}/ou/{organizational_unit_id}/account/{account_id}` where there can be any number of organizational units. For Azure, it has the format of `mg/{management_group_id}/mg/{management_group_id}/subscription/{subscription_id}/rg/{resource_group_name}` where there can be any number of management groups.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The service or resource provider associated with the resource.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The full resource type of the resource.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Resource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath","doc":"Represents the path of resources leading up to the resource this finding is about.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath","doc":"*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.t)`, *default:* `nil`) - The list of nodes that make the up resource path, ordered from lowest level to highest level.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePath.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode","doc":"A node within the resource path. Each node represents a resource within the resource hierarchy.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the resource this node represents.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of the resource this node represents.\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - The type of resource this node represents.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourcePathNode.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig","doc":"A resource value configuration (RVC) is a mapping configuration of user's resources to resource values. Used in Attack path simulations.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig","doc":"*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Cloud provider this configuration applies to\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp this resource value configuration was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the resource value configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Name for the resource value configuration\n*   `resourceLabelsSelector` (*type:* `map()`, *default:* `nil`) - List of resource labels to search for, evaluated with `AND`. For example, \"resource_labels_selector\": {\"key\": \"value\", \"env\": \"prod\"} will match resources with labels \"key\": \"value\" `AND` \"env\": \"prod\" https://cloud.google.com/resource-manager/docs/creating-managing-labels\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Apply resource_value only to resources that match resource_type. resource_type will be checked with `AND` of other resources. For example, \"storage.googleapis.com/Bucket\" with resource_value \"HIGH\" will apply \"HIGH\" value only to \"storage.googleapis.com/Bucket\" resources.\n*   `resourceValue` (*type:* `String.t`, *default:* `nil`) - Resource value level this expression represents Only required when there is no Sensitive Data Protection mapping in the request\n*   `scope` (*type:* `String.t`, *default:* `nil`) - Project or folder to scope this configuration to. For example, \"project/456\" would apply this configuration only to resources in \"project/456\" scope and will be checked with `AND` of other resources.\n*   `sensitiveDataProtectionMapping` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.t`, *default:* `nil`) - A mapping of the sensitivity on Sensitive Data Protection finding to resource values. This mapping can only be used in combination with a resource_type that is related to BigQuery, e.g. \"bigquery.googleapis.com/Dataset\".\n*   `tagValues` (*type:* `list(String.t)`, *default:* `nil`) - Tag values combined with `AND` to check against. Values in the form \"tagValues/123\" Example: `[ \"tagValues/123\", \"tagValues/456\", \"tagValues/789\" ]` https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp this resource value configuration was last updated.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ResourceValueConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role","doc":"Kubernetes Role or ClusterRole.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Role type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Role name.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Role namespace.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Role.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin","doc":"SecurityBulletin are notifications of vulnerabilities of Google products.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin","doc":"*   `bulletinId` (*type:* `String.t`, *default:* `nil`) - ID of the bulletin corresponding to the vulnerability.\n*   `submissionTime` (*type:* `DateTime.t`, *default:* `nil`) - Submission time of this Security Bulletin.\n*   `suggestedUpgradeVersion` (*type:* `String.t`, *default:* `nil`) - This represents a version that the cluster receiving this notification should be upgraded to, based on its current version. For example, 1.15.0","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks","doc":"User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the marks. The following list shows some examples: + `organizations/{organization_id}/assets/{asset_id}/securityMarks` + `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks` + `organizations/{organization_id}/sources/{source_id}/locations/{location}/findings/{finding_id}/securityMarks` + `folders/{folder_id}/assets/{asset_id}/securityMarks` + `folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks` + `folders/{folder_id}/sources/{source_id}/locations/{location}/findings/{finding_id}/securityMarks` + `projects/{project_number}/assets/{asset_id}/securityMarks` + `projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks` + `projects/{project_number}/sources/{source_id}/locations/{location}/findings/{finding_id}/securityMarks`\n*   `marks` (*type:* `map()`, *default:* `nil`) - Mutable user specified security marks belonging to the parent resource. Constraints are as follows: * Keys and values are treated as case insensitive * Keys must be between 1 - 256 characters (inclusive) * Keys must be letters, numbers, underscores, or dashes * Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name The following list shows some examples: + `organizations/{organization_id}/assets/{asset_id}/securityMarks` + `organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks` + `organizations/{organization_id}/sources/{source_id}/locations/{location}/findings/{finding_id}/securityMarks`","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityMarks.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy","doc":"Information about the [Google Cloud Armor security policy](https://cloud.google.com/armor/docs/security-policy-overview) relevant to the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Google Cloud Armor security policy, for example, \"my-security-policy\".\n*   `preview` (*type:* `boolean()`, *default:* `nil`) - Whether or not the associated rule or policy is in preview mode.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of Google Cloud Armor security policy for example, 'backend security policy', 'edge security policy', 'network edge security policy', or 'always-on DDoS protection'.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture","doc":"Represents a posture that is deployed on Google Cloud by the Security Command Center Posture Management service. A posture contains one or more policy sets. A policy set is a group of policies that enforce a set of security rules on Google Cloud.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture","doc":"*   `changedPolicy` (*type:* `String.t`, *default:* `nil`) - The name of the updated policy, for example, `projects/{project_id}/policies/{constraint_name}`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the posture, for example, `CIS-Posture`.\n*   `policy` (*type:* `String.t`, *default:* `nil`) - The ID of the updated policy, for example, `compute-policy-1`.\n*   `policyDriftDetails` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2PolicyDriftDetails.t)`, *default:* `nil`) - The details about a change in an updated policy that violates the deployed posture.\n*   `policySet` (*type:* `String.t`, *default:* `nil`) - The name of the updated policy set, for example, `cis-policyset`.\n*   `postureDeployment` (*type:* `String.t`, *default:* `nil`) - The name of the posture deployment, for example, `organizations/{org_id}/posturedeployments/{posture_deployment_id}`.\n*   `postureDeploymentResource` (*type:* `String.t`, *default:* `nil`) - The project, folder, or organization on which the posture is deployed, for example, `projects/{project_number}`.\n*   `revisionId` (*type:* `String.t`, *default:* `nil`) - The version of the posture, for example, `c7cfa2a8`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityPosture.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping","doc":"Resource value mapping for Sensitive Data Protection findings If any of these mappings have a resource value that is not unspecified, the resource_value field will be ignored when reading this configuration.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping","doc":"*   `highSensitivityMapping` (*type:* `String.t`, *default:* `nil`) - Resource value mapping for high-sensitivity Sensitive Data Protection findings\n*   `mediumSensitivityMapping` (*type:* `String.t`, *default:* `nil`) - Resource value mapping for medium-sensitivity Sensitive Data Protection findings","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SensitiveDataProtectionMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo","doc":"Identity delegation history of an authenticated service account.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo","doc":"*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of a Google account.\n*   `principalSubject` (*type:* `String.t`, *default:* `nil`) - A string representing the principal_subject associated with the identity. As compared to `principal_email`, supports principals that aren't associated with email addresses, such as third party principals. For most identities, the format will be `principal://iam.googleapis.com/{identity pool name}/subjects/{subject}` except for some GKE identities (GKE_WORKLOAD, FREEFORM, GKE_HUB_WORKLOAD) that are still in the legacy format `serviceAccount:{identity pool name}[{subject}]`","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ServiceAccountDelegationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute","doc":"Information about the static mute state. A static mute state overrides any dynamic mute rules that apply to this finding. The static mute state can be set by a static mute rule or by muting the finding directly.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute","doc":"*   `applyTime` (*type:* `DateTime.t`, *default:* `nil`) - When the static mute was applied.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The static mute state. If the value is `MUTED` or `UNMUTED`, then the finding's overall mute state will have the same value.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2StaticMute.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject","doc":"Represents a Kubernetes subject.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Authentication type for the subject.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name for the subject.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace for the subject.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Subject.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo","doc":"Information about the ticket, if any, that is being used to track the resolution of the issue that is identified by this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo","doc":"*   `assignee` (*type:* `String.t`, *default:* `nil`) - The assignee of the ticket in the ticket system.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the ticket in the ticket system.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The identifier of the ticket in the ticket system.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The latest status of the ticket, as reported by the ticket system.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the ticket was last updated, as reported by the ticket system.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The link to the ticket in the ticket system.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2TicketInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination","doc":"Contains details about a group of security issues that, when the issues occur together, represent a greater risk than when the issues occur independently. A group of such issues is referred to as a toxic combination.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination","doc":"*   `attackExposureScore` (*type:* `float()`, *default:* `nil`) - The [Attack exposure score](https://cloud.google.com/security-command-center/docs/attack-exposure-learn#attack_exposure_scores) of this toxic combination. The score is a measure of how much this toxic combination exposes one or more high-value resources to potential attack.\n*   `relatedFindings` (*type:* `list(String.t)`, *default:* `nil`) - List of resource names of findings associated with this toxic combination. For example, `organizations/123/sources/456/findings/789`.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2ToxicCombination.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability","doc":"Refers to common vulnerability fields e.g. cve, cvss, cwe etc.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability","doc":"*   `cve` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Cve.t`, *default:* `nil`) - CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)\n*   `fixedPackage` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.t`, *default:* `nil`) - The fixed package is relevant to the finding.\n*   `offendingPackage` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Package.t`, *default:* `nil`) - The offending package is relevant to the finding.\n*   `securityBulletin` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2SecurityBulletin.t`, *default:* `nil`) - The security bulletin is relevant to this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2Vulnerability.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature","doc":"A signature corresponding to a YARA rule.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature","doc":"*   `yaraRule` (*type:* `String.t`, *default:* `nil`) - The name of the YARA rule.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV2YaraRuleSignature.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest","doc":"Request message for grouping by assets.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest","doc":"*   `compareDuration` (*type:* `String.t`, *default:* `nil`) - When compare_duration is set, the GroupResult's \"state_change\" property is updated to indicate whether the asset was added, removed, or remained present during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state change value is derived based on the presence of the asset at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the asset is removed and re-created again. Possible \"state_change\" values when compare_duration is specified: * \"ADDED\": indicates that the asset was not present at the start of compare_duration, but present at reference_time. * \"REMOVED\": indicates that the asset was present at the start of compare_duration, but not present at reference_time. * \"ACTIVE\": indicates that the asset was present at both the start and the end of the time period defined by compare_duration and reference_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all assets present at read_time. If this field is set then `state_change` must be a specified field in `group_by`.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that defines the filter to apply across assets. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the Asset resource. Examples include: * name * security_center_properties.resource_name * resource_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: * name: `=` * update_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `update_time = \"2019-06-10T16:07:18-07:00\"` `update_time = 1560208038000` * create_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `create_time = \"2019-06-10T16:07:18-07:00\"` `create_time = 1560208038000` * iam_policy.policy_blob: `=`, `:` * resource_properties: `=`, `:`, `>`, `<`, `>=`, `<=` * security_marks.marks: `=`, `:` * security_center_properties.resource_name: `=`, `:` * security_center_properties.resource_display_name: `=`, `:` * security_center_properties.resource_type: `=`, `:` * security_center_properties.resource_parent: `=`, `:` * security_center_properties.resource_parent_display_name: `=`, `:` * security_center_properties.resource_project: `=`, `:` * security_center_properties.resource_project_display_name: `=`, `:` * security_center_properties.resource_owners: `=`, `:` For example, `resource_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `resource_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-resource_properties.my_property : \"\"`\n*   `groupBy` (*type:* `String.t`, *default:* `nil`) - Required. Expression that defines what assets fields to use for grouping. The string value should follow SQL syntax: comma separated list of fields. For example: \"security_center_properties.resource_project,security_center_properties.project\". The following fields are supported when compare_duration is not set: * security_center_properties.resource_project * security_center_properties.resource_project_display_name * security_center_properties.resource_type * security_center_properties.resource_parent * security_center_properties.resource_parent_display_name The following fields are supported when compare_duration is set: * security_center_properties.resource_type * security_center_properties.resource_project_display_name * security_center_properties.resource_parent_display_name\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - The value returned by the last `GroupAssetsResponse`; indicates that this is a continuation of a prior `GroupAssets` call, and that the system should return the next page of data.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used as a reference point when filtering assets. The filter is limited to assets existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse","doc":"Response message for grouping by assets.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse","doc":"*   `groupByResults` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GroupResult.t)`, *default:* `nil`) - Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used for executing the groupBy request.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The total number of results matching the query.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupAssetsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest","doc":"Request message for grouping by findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest","doc":"*   `compareDuration` (*type:* `String.t`, *default:* `nil`) - When compare_duration is set, the GroupResult's \"state_change\" attribute is updated to indicate whether the finding had its state changed, the finding's state remained unchanged, or if the finding was added during the compare_duration period of time that precedes the read_time. This is the time between (read_time - compare_duration) and read_time. The state_change value is derived based on the presence and state of the finding at the two points in time. Intermediate state changes between the two times don't affect the result. For example, the results aren't affected if the finding is made inactive and then active again. Possible \"state_change\" values when compare_duration is specified: * \"CHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration, but changed its state at read_time. * \"UNCHANGED\": indicates that the finding was present and matched the given filter at the start of compare_duration and did not change state at read_time. * \"ADDED\": indicates that the finding did not match the given filter or was not present at the start of compare_duration, but was present at read_time. * \"REMOVED\": indicates that the finding was present and matched the filter at the start of compare_duration, but did not match the filter at read_time. If compare_duration is not specified, then the only possible state_change is \"UNUSED\", which will be the state_change set for all findings present at read_time. If this field is set then `state_change` must be a specified field in `group_by`.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that defines the filter to apply across findings. The expression is a list of one or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. Examples include: * name * source_properties.a_property * security_marks.marks.marka The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes. The following field and operator combinations are supported: * name: `=` * parent: `=`, `:` * resource_name: `=`, `:` * state: `=`, `:` * category: `=`, `:` * external_uri: `=`, `:` * event_time: `=`, `>`, `<`, `>=`, `<=` Usage: This should be milliseconds since epoch or an RFC3339 string. Examples: `event_time = \"2019-06-10T16:07:18-07:00\"` `event_time = 1560208038000` * severity: `=`, `:` * workflow_state: `=`, `:` * security_marks.marks: `=`, `:` * source_properties: `=`, `:`, `>`, `<`, `>=`, `<=` For example, `source_properties.size = 100` is a valid filter string. Use a partial match on the empty string to filter based on a property existing: `source_properties.my_property : \"\"` Use a negated partial match on the empty string to filter based on a property not existing: `-source_properties.my_property : \"\"` * resource: * resource.name: `=`, `:` * resource.parent_name: `=`, `:` * resource.parent_display_name: `=`, `:` * resource.project_name: `=`, `:` * resource.project_display_name: `=`, `:` * resource.type: `=`, `:`\n*   `groupBy` (*type:* `String.t`, *default:* `nil`) - Required. Expression that defines what assets fields to use for grouping (including `state_change`). The string value should follow SQL syntax: comma separated list of fields. For example: \"parent,resource_name\". The following fields are supported when compare_duration is set: * state_change\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - The value returned by the last `GroupFindingsResponse`; indicates that this is a continuation of a prior `GroupFindings` call, and that the system should return the next page of data.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used as a reference point when filtering findings. The filter is limited to findings existing at the supplied time and their values are those at that specific time. Absence of this field will default to the API's version of NOW.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse","doc":"Response message for group by findings.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse","doc":"*   `groupByResults` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GroupResult.t)`, *default:* `nil`) - Group results. There exists an element for each existing unique combination of property/values. The element contains a count for the number of times those specific property/values appear.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used for executing the groupBy request.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The total number of results matching the query.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupFindingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupMembership","doc":"Contains details about groups of which this finding is a member. A group is a collection of findings that are related in some way.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupMembership","doc":"*   `groupId` (*type:* `String.t`, *default:* `nil`) - ID of the group.\n*   `groupType` (*type:* `String.t`, *default:* `nil`) - Type of group.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupMembership.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.GroupResult","doc":"Result containing the properties and count of a groupBy request.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupResult.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.GroupResult","doc":"*   `count` (*type:* `String.t`, *default:* `nil`) - Total count of resources for the given properties.\n*   `properties` (*type:* `map()`, *default:* `nil`) - Properties matching the groupBy fields in the request.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupResult.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.GroupResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.GroupResult.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.GroupResult.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.GroupResult.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.IamBinding","doc":"Represents a particular IAM binding, which captures a member's role addition, removal, or state.","ref":"GoogleApi.SecurityCenter.V1.Model.IamBinding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.IamBinding","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action that was performed on a Binding.\n*   `member` (*type:* `String.t`, *default:* `nil`) - A single identity requesting access for a Cloud Platform resource, for example, \"foo@google.com\".\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to \"members\". For example, \"roles/viewer\", \"roles/editor\", or \"roles/owner\".","ref":"GoogleApi.SecurityCenter.V1.Model.IamBinding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.IamBinding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.IamBinding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.IamBinding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.IamBinding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.IamPolicy","doc":"Cloud IAM Policy information associated with the Google Cloud resource described by the Security Command Center asset. This information is managed and defined by the Google Cloud resource and cannot be modified by the user.","ref":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.IamPolicy","doc":"*   `policyBlob` (*type:* `String.t`, *default:* `nil`) - The JSON representation of the Policy associated with the asset. See https://cloud.google.com/iam/reference/rest/v1/Policy for format details.","ref":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.IamPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Indicator","doc":"Represents what's commonly known as an _indicator of compromise_ (IoC) in computer forensics. This is an artifact observed on a network or in an operating system that, with high confidence, indicates a computer intrusion. For more information, see [Indicator of compromise](https://en.wikipedia.org/wiki/Indicator_of_compromise).","ref":"GoogleApi.SecurityCenter.V1.Model.Indicator.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Indicator","doc":"*   `domains` (*type:* `list(String.t)`, *default:* `nil`) - List of domains associated to the Finding.\n*   `ipAddresses` (*type:* `list(String.t)`, *default:* `nil`) - The list of IP addresses that are associated with the finding.\n*   `signatures` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ProcessSignature.t)`, *default:* `nil`) - The list of matched signatures indicating that the given process is present in the environment.\n*   `uris` (*type:* `list(String.t)`, *default:* `nil`) - The list of URIs associated to the Findings.","ref":"GoogleApi.SecurityCenter.V1.Model.Indicator.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Indicator.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Indicator.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Indicator.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Indicator.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit","doc":"Kernel mode rootkit signatures.","ref":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.KernelRootkit","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Rootkit name, when available.\n*   `unexpectedCodeModification` (*type:* `boolean()`, *default:* `nil`) - True if unexpected modifications of kernel code memory are present.\n*   `unexpectedFtraceHandler` (*type:* `boolean()`, *default:* `nil`) - True if `ftrace` points are present with callbacks pointing to regions that are not in the expected kernel or module code range.\n*   `unexpectedInterruptHandler` (*type:* `boolean()`, *default:* `nil`) - True if interrupt handlers that are are not in the expected kernel or module code regions are present.\n*   `unexpectedKernelCodePages` (*type:* `boolean()`, *default:* `nil`) - True if kernel code pages that are not in the expected kernel or module code regions are present.\n*   `unexpectedKprobeHandler` (*type:* `boolean()`, *default:* `nil`) - True if `kprobe` points are present with callbacks pointing to regions that are not in the expected kernel or module code range.\n*   `unexpectedProcessesInRunqueue` (*type:* `boolean()`, *default:* `nil`) - True if unexpected processes in the scheduler run queue are present. Such processes are in the run queue, but not in the process task list.\n*   `unexpectedReadOnlyDataModification` (*type:* `boolean()`, *default:* `nil`) - True if unexpected modifications of kernel read-only data memory are present.\n*   `unexpectedSystemCallHandler` (*type:* `boolean()`, *default:* `nil`) - True if system call handlers that are are not in the expected kernel or module code regions are present.","ref":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.KernelRootkit.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Kubernetes","doc":"Kubernetes-related attributes.","ref":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Kubernetes","doc":"*   `accessReviews` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AccessReview.t)`, *default:* `nil`) - Provides information on any Kubernetes access reviews (privilege checks) relevant to the finding.\n*   `bindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1Binding.t)`, *default:* `nil`) - Provides Kubernetes role binding information for findings that involve [RoleBindings or ClusterRoleBindings](https://cloud.google.com/kubernetes-engine/docs/how-to/role-based-access-control).\n*   `nodePools` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.NodePool.t)`, *default:* `nil`) - GKE [node pools](https://cloud.google.com/kubernetes-engine/docs/concepts/node-pools) associated with the finding. This field contains node pool information for each node, when it is available.\n*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Node.t)`, *default:* `nil`) - Provides Kubernetes [node](https://cloud.google.com/kubernetes-engine/docs/concepts/cluster-architecture#nodes) information.\n*   `objects` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Object.t)`, *default:* `nil`) - Kubernetes objects related to the finding.\n*   `pods` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Pod.t)`, *default:* `nil`) - Kubernetes [Pods](https://cloud.google.com/kubernetes-engine/docs/concepts/pod) associated with the finding. This field contains Pod records for each container that is owned by a Pod.\n*   `roles` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Role.t)`, *default:* `nil`) - Provides Kubernetes role information for findings that involve [Roles or ClusterRoles](https://cloud.google.com/kubernetes-engine/docs/how-to/role-based-access-control).","ref":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Kubernetes.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Label","doc":"Represents a generic name-value label. A label has separate name and value fields to support filtering with the `contains()` function. For more information, see [Filtering on array-type fields](https://cloud.google.com/security-command-center/docs/how-to-api-list-findings#array-contains-filtering).","ref":"GoogleApi.SecurityCenter.V1.Model.Label.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Label","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the label.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Value that corresponds to the label's name.","ref":"GoogleApi.SecurityCenter.V1.Model.Label.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Label.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Label.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Label.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Label.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse","doc":"Response message for listing assets.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse","doc":"*   `listAssetsResults` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.t)`, *default:* `nil`) - Assets matching the list request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used for executing the list request.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The total number of assets matching the query.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult","doc":"Result containing the Asset and its State.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListAssetsResult","doc":"*   `asset` (*type:* `GoogleApi.SecurityCenter.V1.Model.Asset.t`, *default:* `nil`) - Asset matching the search request.\n*   `stateChange` (*type:* `String.t`, *default:* `nil`) - State change of the asset between the points in time.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListAssetsResult.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse","doc":"Response message for listing the attack paths for a given simulation or valued resource.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse","doc":"*   `attackPaths` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AttackPath.t)`, *default:* `nil`) - The attack paths that the attack path simulation identified.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListAttackPathsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse","doc":"Response message for listing BigQuery exports.","ref":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse","doc":"*   `bigQueryExports` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1BigQueryExport.t)`, *default:* `nil`) - The BigQuery exports from the specified parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListBigQueryExportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse","doc":"Response for listing current and descendant resident Event Threat Detection custom modules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse","doc":"*   `eventThreatDetectionCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t)`, *default:* `nil`) - Custom modules belonging to the requested parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantEventThreatDetectionCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse","doc":"Response message for listing descendant Security Health Analytics custom modules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If not empty, indicates that there may be more custom modules to be returned.\n*   `securityHealthAnalyticsCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t)`, *default:* `nil`) - Custom modules belonging to the requested parent and its descendants.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListDescendantSecurityHealthAnalyticsCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse","doc":"Response for listing EffectiveEventThreatDetectionCustomModules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse","doc":"*   `effectiveEventThreatDetectionCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.EffectiveEventThreatDetectionCustomModule.t)`, *default:* `nil`) - Effective custom modules belonging to the requested parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveEventThreatDetectionCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse","doc":"Response message for listing effective Security Health Analytics custom modules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse","doc":"*   `effectiveSecurityHealthAnalyticsCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1EffectiveSecurityHealthAnalyticsCustomModule.t)`, *default:* `nil`) - Effective custom modules belonging to the requested parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If not empty, indicates that there may be more effective custom modules to be returned.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse","doc":"Response for listing Event Threat Detection custom modules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse","doc":"*   `eventThreatDetectionCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.EventThreatDetectionCustomModule.t)`, *default:* `nil`) - Custom modules belonging to the requested parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListEventThreatDetectionCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse","doc":"Response message for listing findings.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse","doc":"*   `listFindingsResults` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.t)`, *default:* `nil`) - Findings matching the list request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Time used for executing the list request.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The total number of findings matching the query.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult","doc":"Result containing the Finding and its StateChange.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListFindingsResult","doc":"*   `finding` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`, *default:* `nil`) - Finding matching the search request.\n*   `resource` (*type:* `GoogleApi.SecurityCenter.V1.Model.Resource.t`, *default:* `nil`) - Output only. Resource that is associated with this finding.\n*   `stateChange` (*type:* `String.t`, *default:* `nil`) - State change of the finding between the points in time.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListFindingsResult.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse","doc":"Response message for listing mute configs.","ref":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse","doc":"*   `muteConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1MuteConfig.t)`, *default:* `nil`) - The mute configs from the specified parent.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListMuteConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse","doc":"Response message for listing notification configs.","ref":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `notificationConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t)`, *default:* `nil`) - Notification configs belonging to the requested parent.","ref":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListNotificationConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse","doc":"Response message to list resource value configs","ref":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages.\n*   `resourceValueConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1ResourceValueConfig.t)`, *default:* `nil`) - The resource value configs from the specified parent.","ref":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListResourceValueConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse","doc":"Response message for listing Security Health Analytics custom modules.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If not empty, indicates that there may be more custom modules to be returned.\n*   `securityHealthAnalyticsCustomModules` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1SecurityHealthAnalyticsCustomModule.t)`, *default:* `nil`) - Custom modules belonging to the requested parent.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListSecurityHealthAnalyticsCustomModulesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse","doc":"Response message for listing sources.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `sources` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Source.t)`, *default:* `nil`) - Sources belonging to the requested parent.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListSourcesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse","doc":"Response message for listing the valued resources for a given simulation.","ref":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The estimated total number of results matching the query.\n*   `valuedResources` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ValuedResource.t)`, *default:* `nil`) - The valued resources that the attack path simulation identified.","ref":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ListValuedResourcesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer","doc":"Contains information related to the load balancer associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.LoadBalancer","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the load balancer associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.LoadBalancer.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.LogEntry","doc":"An individual entry in a log.","ref":"GoogleApi.SecurityCenter.V1.Model.LogEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.LogEntry","doc":"*   `cloudLoggingEntry` (*type:* `GoogleApi.SecurityCenter.V1.Model.CloudLoggingEntry.t`, *default:* `nil`) - An individual entry in a log stored in Cloud Logging.","ref":"GoogleApi.SecurityCenter.V1.Model.LogEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.LogEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.LogEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.LogEntry.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.LogEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature","doc":"A signature corresponding to memory page hashes.","ref":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature","doc":"*   `binaryFamily` (*type:* `String.t`, *default:* `nil`) - The binary family.\n*   `detections` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Detection.t)`, *default:* `nil`) - The list of memory hash detections contributing to the binary family match.","ref":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.MitreAttack","doc":"MITRE ATT&CK tactics and techniques related to this finding. See: https://attack.mitre.org","ref":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.MitreAttack","doc":"*   `additionalTactics` (*type:* `list(String.t)`, *default:* `nil`) - Additional MITRE ATT&CK tactics related to this finding, if any.\n*   `additionalTechniques` (*type:* `list(String.t)`, *default:* `nil`) - Additional MITRE ATT&CK techniques related to this finding, if any, along with any of their respective parent techniques.\n*   `primaryTactic` (*type:* `String.t`, *default:* `nil`) - The MITRE ATT&CK tactic most closely represented by this finding, if any.\n*   `primaryTechniques` (*type:* `list(String.t)`, *default:* `nil`) - The MITRE ATT&CK technique most closely represented by this finding, if any. primary_techniques is a repeated field because there are multiple levels of MITRE ATT&CK techniques. If the technique most closely represented by this finding is a sub-technique (e.g. `SCANNING_IP_BLOCKS`), both the sub-technique and its parent technique(s) will be listed (e.g. `SCANNING_IP_BLOCKS`, `ACTIVE_SCANNING`).\n*   `version` (*type:* `String.t`, *default:* `nil`) - The MITRE ATT&CK version referenced by the above fields. E.g. \"8\".","ref":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.MitreAttack.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.MuteInfo","doc":"Mute information about the finding, including whether the finding has a static mute or any matching dynamic mute rules.","ref":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.MuteInfo","doc":"*   `dynamicMuteRecords` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.DynamicMuteRecord.t)`, *default:* `nil`) - The list of dynamic mute rules that currently match the finding.\n*   `staticMute` (*type:* `GoogleApi.SecurityCenter.V1.Model.StaticMute.t`, *default:* `nil`) - If set, the static mute applied to this finding. Static mutes override dynamic mutes. If unset, there is no static mute.","ref":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.MuteInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Node","doc":"Kubernetes nodes associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Node.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Node","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - [Full resource name](https://google.aip.dev/122#full-resource-names) of the Compute Engine VM running the cluster node.","ref":"GoogleApi.SecurityCenter.V1.Model.Node.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Node.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Node.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Node.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Node.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.NodePool","doc":"Provides GKE node pool information.","ref":"GoogleApi.SecurityCenter.V1.Model.NodePool.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.NodePool","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes node pool name.\n*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Node.t)`, *default:* `nil`) - Nodes associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.NodePool.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.NodePool.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.NodePool.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.NodePool.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.NodePool.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Notebook","doc":"Represents a Jupyter notebook IPYNB file, such as a [Colab Enterprise notebook](https://cloud.google.com/colab/docs/introduction) file, that is associated with a finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Notebook.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Notebook","doc":"*   `lastAuthor` (*type:* `String.t`, *default:* `nil`) - The user ID of the latest author to modify the notebook.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the notebook.\n*   `notebookUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - The most recent time the notebook was updated.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The source notebook service, for example, \"Colab Enterprise\".","ref":"GoogleApi.SecurityCenter.V1.Model.Notebook.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Notebook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Notebook.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Notebook.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Notebook.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig","doc":"Cloud Security Command Center (Cloud SCC) notification configs. A notification config is a Cloud SCC resource that contains the configuration to send notifications for create/update events of findings, assets and etc.","ref":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.NotificationConfig","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the notification config (max of 1024 characters).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/notificationConfigs/notify_public_bucket\", \"folders/{folder_id}/notificationConfigs/notify_public_bucket\", or \"projects/{project_id}/notificationConfigs/notify_public_bucket\".\n*   `pubsubTopic` (*type:* `String.t`, *default:* `nil`) - The Pub/Sub topic to send notifications to. Its format is \"projects/[project_id]/topics/[topic]\".\n*   `serviceAccount` (*type:* `String.t`, *default:* `nil`) - Output only. The service account that needs \"pubsub.topics.publish\" permission to publish to the Pub/Sub topic.\n*   `streamingConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.StreamingConfig.t`, *default:* `nil`) - The config for triggering streaming-based notifications.","ref":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.NotificationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Object","doc":"Kubernetes object related to the finding, uniquely identified by GKNN. Used if the object Kind is not one of Pod, Node, NodePool, Binding, or AccessReview.","ref":"GoogleApi.SecurityCenter.V1.Model.Object.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Object","doc":"*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Container.t)`, *default:* `nil`) - Pod containers associated with this finding, if any.\n*   `group` (*type:* `String.t`, *default:* `nil`) - Kubernetes object group, such as \"policy.k8s.io/v1\".\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Kubernetes object kind, such as \"Namespace\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes object name. For details see https://kubernetes.io/docs/concepts/overview/working-with-objects/names/.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Kubernetes object namespace. Must be a valid DNS label. Named \"ns\" to avoid collision with C++ namespace keyword. For details see https://kubernetes.io/docs/tasks/administer-cluster/namespaces/.","ref":"GoogleApi.SecurityCenter.V1.Model.Object.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Object.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Object.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Object.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Object.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.SecurityCenter.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.SecurityCenter.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.SecurityCenter.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy","doc":"Contains information about the org policies associated with the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.OrgPolicy","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the org policy. Example: \"organizations/{organization_id}/policies/{constraint_name}\"","ref":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.OrgPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings","doc":"User specified settings that are attached to the Security Command Center organization.","ref":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.OrganizationSettings","doc":"*   `assetDiscoveryConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.AssetDiscoveryConfig.t`, *default:* `nil`) - The configuration used for Asset Discovery runs.\n*   `enableAssetDiscovery` (*type:* `boolean()`, *default:* `nil`) - A flag that indicates if Asset Discovery should be enabled. If the flag is set to `true`, then discovery of assets will occur. If it is set to `false`, all historical assets will remain, but discovery of future assets will not occur.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the settings. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/organizationSettings\".","ref":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.OrganizationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Package","doc":"Package is a generic definition of a package.","ref":"GoogleApi.SecurityCenter.V1.Model.Package.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Package","doc":"*   `cpeUri` (*type:* `String.t`, *default:* `nil`) - The CPE URI where the vulnerability was detected.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - The name of the package where the vulnerability was detected.\n*   `packageType` (*type:* `String.t`, *default:* `nil`) - Type of package, for example, os, maven, or go.\n*   `packageVersion` (*type:* `String.t`, *default:* `nil`) - The version of the package.","ref":"GoogleApi.SecurityCenter.V1.Model.Package.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Package.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Package.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Package.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Package.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding","doc":"A finding that is associated with this node in the attack path.","ref":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding","doc":"*   `canonicalFinding` (*type:* `String.t`, *default:* `nil`) - Canonical name of the associated findings. Example: `organizations/123/sources/456/findings/789`\n*   `findingCategory` (*type:* `String.t`, *default:* `nil`) - The additional taxonomy group within findings from a given source.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name of the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.PathNodeAssociatedFinding.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Pod","doc":"A Kubernetes Pod.","ref":"GoogleApi.SecurityCenter.V1.Model.Pod.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Pod","doc":"*   `containers` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Container.t)`, *default:* `nil`) - Pod containers associated with this finding, if any.\n*   `labels` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Label.t)`, *default:* `nil`) - Pod labels. For Kubernetes containers, these are applied to the container.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Kubernetes Pod name.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Kubernetes Pod namespace.","ref":"GoogleApi.SecurityCenter.V1.Model.Pod.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Pod.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Pod.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Pod.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Pod.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.SecurityCenter.V1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Policy","doc":"*   `auditConfigs` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.AuditConfig.t)`, *default:* `nil`) - Specifies cloud audit logging configuration for this policy.\n*   `bindings` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.SecurityCenter.V1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Policy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails","doc":"The policy field that violates the deployed posture and its expected and detected values.","ref":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails","doc":"*   `detectedValue` (*type:* `String.t`, *default:* `nil`) - The detected value that violates the deployed posture, for example, `false` or `allowed_values={\"projects/22831892\"}`.\n*   `expectedValue` (*type:* `String.t`, *default:* `nil`) - The value of this field that was configured in a posture, for example, `true` or `allowed_values={\"projects/29831892\"}`.\n*   `field` (*type:* `String.t`, *default:* `nil`) - The name of the updated field, for example constraint.implementation.policy_rules[0].enforce","ref":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Position","doc":"A position in the uploaded text version of a module.","ref":"GoogleApi.SecurityCenter.V1.Model.Position.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Position","doc":"*   `columnNumber` (*type:* `integer()`, *default:* `nil`) - \n*   `lineNumber` (*type:* `integer()`, *default:* `nil`) -","ref":"GoogleApi.SecurityCenter.V1.Model.Position.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Position.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Position.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Position.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Position.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Process","doc":"Represents an operating system process.","ref":"GoogleApi.SecurityCenter.V1.Model.Process.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Process","doc":"*   `args` (*type:* `list(String.t)`, *default:* `nil`) - Process arguments as JSON encoded strings.\n*   `argumentsTruncated` (*type:* `boolean()`, *default:* `nil`) - True if `args` is incomplete.\n*   `binary` (*type:* `GoogleApi.SecurityCenter.V1.Model.File.t`, *default:* `nil`) - File information for the process executable.\n*   `envVariables` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.EnvironmentVariable.t)`, *default:* `nil`) - Process environment variables.\n*   `envVariablesTruncated` (*type:* `boolean()`, *default:* `nil`) - True if `env_variables` is incomplete.\n*   `libraries` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.File.t)`, *default:* `nil`) - File information for libraries loaded by the process.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The process name, as displayed in utilities like `top` and `ps`. This name can be accessed through `/proc/[pid]/comm` and changed with `prctl(PR_SET_NAME)`.\n*   `parentPid` (*type:* `String.t`, *default:* `nil`) - The parent process ID.\n*   `pid` (*type:* `String.t`, *default:* `nil`) - The process ID.\n*   `script` (*type:* `GoogleApi.SecurityCenter.V1.Model.File.t`, *default:* `nil`) - When the process represents the invocation of a script, `binary` provides information about the interpreter, while `script` provides information about the script file provided to the interpreter.","ref":"GoogleApi.SecurityCenter.V1.Model.Process.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Process.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Process.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Process.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Process.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature","doc":"Indicates what signature matched this process.","ref":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ProcessSignature","doc":"*   `memoryHashSignature` (*type:* `GoogleApi.SecurityCenter.V1.Model.MemoryHashSignature.t`, *default:* `nil`) - Signature indicating that a binary family was matched.\n*   `signatureType` (*type:* `String.t`, *default:* `nil`) - Describes the type of resource associated with the signature.\n*   `yaraRuleSignature` (*type:* `GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.t`, *default:* `nil`) - Signature indicating that a YARA rule was matched.","ref":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ProcessSignature.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Reference","doc":"Additional Links","ref":"GoogleApi.SecurityCenter.V1.Model.Reference.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Reference","doc":"*   `source` (*type:* `String.t`, *default:* `nil`) - Source of the reference e.g. NVD\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Uri for the mentioned source e.g. https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34527.","ref":"GoogleApi.SecurityCenter.V1.Model.Reference.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Reference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Reference.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Reference.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Reference.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Requests","doc":"Information about the requests relevant to the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Requests.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Requests","doc":"*   `longTermAllowed` (*type:* `integer()`, *default:* `nil`) - Allowed RPS (requests per second) over the long term.\n*   `longTermDenied` (*type:* `integer()`, *default:* `nil`) - Denied RPS (requests per second) over the long term.\n*   `ratio` (*type:* `float()`, *default:* `nil`) - For 'Increasing deny ratio', the ratio is the denied traffic divided by the allowed traffic. For 'Allowed traffic spike', the ratio is the allowed traffic in the short term divided by allowed traffic in the long term.\n*   `shortTermAllowed` (*type:* `integer()`, *default:* `nil`) - Allowed RPS (requests per second) in the short term.","ref":"GoogleApi.SecurityCenter.V1.Model.Requests.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Requests.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Requests.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Requests.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Requests.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Resource","doc":"Information related to the Google Cloud resource that is associated with this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Resource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Resource","doc":"*   `awsMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.AwsMetadata.t`, *default:* `nil`) - The AWS metadata associated with the finding.\n*   `azureMetadata` (*type:* `GoogleApi.SecurityCenter.V1.Model.AzureMetadata.t`, *default:* `nil`) - The Azure metadata associated with the finding.\n*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Indicates which cloud provider the finding is from.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of the resource.\n*   `folders` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Folder.t)`, *default:* `nil`) - Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.\n*   `location` (*type:* `String.t`, *default:* `nil`) - The region or location of the service (if applicable).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The full resource name of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `organization` (*type:* `String.t`, *default:* `nil`) - Indicates which organization / tenant the finding is for.\n*   `parentDisplayName` (*type:* `String.t`, *default:* `nil`) - The human readable name of resource's parent.\n*   `parentName` (*type:* `String.t`, *default:* `nil`) - The full resource name of resource's parent.\n*   `projectDisplayName` (*type:* `String.t`, *default:* `nil`) - The project ID that the resource belongs to.\n*   `projectName` (*type:* `String.t`, *default:* `nil`) - The full resource name of project that the resource belongs to.\n*   `resourcePath` (*type:* `GoogleApi.SecurityCenter.V1.Model.ResourcePath.t`, *default:* `nil`) - Provides the path to the resource within the resource hierarchy.\n*   `resourcePathString` (*type:* `String.t`, *default:* `nil`) - A string representation of the resource path. For Google Cloud, it has the format of `org/{organization_id}/folder/{folder_id}/folder/{folder_id}/project/{project_id}` where there can be any number of folders. For AWS, it has the format of `org/{organization_id}/ou/{organizational_unit_id}/ou/{organizational_unit_id}/account/{account_id}` where there can be any number of organizational units. For Azure, it has the format of `mg/{management_group_id}/mg/{management_group_id}/subscription/{subscription_id}/rg/{resource_group_name}` where there can be any number of management groups.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The service or resource provider associated with the resource.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The full resource type of the resource.","ref":"GoogleApi.SecurityCenter.V1.Model.Resource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Resource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Resource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Resource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Resource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePath","doc":"Represents the path of resources leading up to the resource this finding is about.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ResourcePath","doc":"*   `nodes` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.t)`, *default:* `nil`) - The list of nodes that make the up resource path, ordered from lowest level to highest level.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePath.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode","doc":"A node within the resource path. Each node represents a resource within the resource hierarchy.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ResourcePathNode","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the resource this node represents.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of the resource this node represents.\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - The type of resource this node represents.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ResourcePathNode.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata","doc":"Metadata about a ResourceValueConfig. For example, id and name.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Resource value config name","ref":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Role","doc":"Kubernetes Role or ClusterRole.","ref":"GoogleApi.SecurityCenter.V1.Model.Role.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Role","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Role type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Role name.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Role namespace.","ref":"GoogleApi.SecurityCenter.V1.Model.Role.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Role.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Role.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Role.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Role.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest","doc":"Request message for running asset discovery for an organization.","ref":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.RunAssetDiscoveryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin","doc":"SecurityBulletin are notifications of vulnerabilities of Google products.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SecurityBulletin","doc":"*   `bulletinId` (*type:* `String.t`, *default:* `nil`) - ID of the bulletin corresponding to the vulnerability.\n*   `submissionTime` (*type:* `DateTime.t`, *default:* `nil`) - Submission time of this Security Bulletin.\n*   `suggestedUpgradeVersion` (*type:* `String.t`, *default:* `nil`) - This represents a version that the cluster receiving this notification should be upgraded to, based on its current version. For example, 1.15.0","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties","doc":"Security Command Center managed properties. These properties are managed by Security Command Center and cannot be modified by the user.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties","doc":"*   `folders` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.Folder.t)`, *default:* `nil`) - Contains a Folder message for each folder in the assets ancestry. The first folder is the deepest nested folder, and the last folder is the folder directly under the Organization.\n*   `resourceDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for this resource.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - The full resource name of the Google Cloud resource this asset represents. This field is immutable after create time. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceOwners` (*type:* `list(String.t)`, *default:* `nil`) - Owners of the Google Cloud resource.\n*   `resourceParent` (*type:* `String.t`, *default:* `nil`) - The full resource name of the immediate parent of the resource. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceParentDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for the parent of this resource.\n*   `resourceProject` (*type:* `String.t`, *default:* `nil`) - The full resource name of the project the resource belongs to. See: https://cloud.google.com/apis/design/resource_names#full_resource_name\n*   `resourceProjectDisplayName` (*type:* `String.t`, *default:* `nil`) - The user defined display name for the project of this resource.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - The type of the Google Cloud resource. Examples include: APPLICATION, PROJECT, and ORGANIZATION. This is a case insensitive field defined by Security Command Center and/or the producer of the resource and is immutable after create time.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityCenterProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks","doc":"User specified security marks that are attached to the parent Security Command Center resource. Security marks are scoped within a Security Command Center organization -- they can be modified and viewed by all users who have proper permissions on the organization.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SecurityMarks","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the marks. Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"folders/{folder_id}/assets/{asset_id}/securityMarks\" \"projects/{project_number}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"folders/{folder_id}/sources/{source_id}/findings/{finding_id}/securityMarks\" \"projects/{project_number}/sources/{source_id}/findings/{finding_id}/securityMarks\"\n*   `marks` (*type:* `map()`, *default:* `nil`) - Mutable user specified security marks belonging to the parent resource. Constraints are as follows: * Keys and values are treated as case insensitive * Keys must be between 1 - 256 characters (inclusive) * Keys must be letters, numbers, underscores, or dashes * Values have leading and trailing whitespace trimmed, remaining characters must be between 1 - 4096 characters (inclusive)\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Examples: \"organizations/{organization_id}/assets/{asset_id}/securityMarks\" \"organizations/{organization_id}/sources/{source_id}/findings/{finding_id}/securityMarks\".","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityMarks.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy","doc":"Information about the [Google Cloud Armor security policy](https://cloud.google.com/armor/docs/security-policy-overview) relevant to the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SecurityPolicy","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Google Cloud Armor security policy, for example, \"my-security-policy\".\n*   `preview` (*type:* `boolean()`, *default:* `nil`) - Whether or not the associated rule or policy is in preview mode.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of Google Cloud Armor security policy for example, 'backend security policy', 'edge security policy', 'network edge security policy', or 'always-on DDoS protection'.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture","doc":"Represents a posture that is deployed on Google Cloud by the Security Command Center Posture Management service. A posture contains one or more policy sets. A policy set is a group of policies that enforce a set of security rules on Google Cloud.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SecurityPosture","doc":"*   `changedPolicy` (*type:* `String.t`, *default:* `nil`) - The name of the updated policy, for example, `projects/{project_id}/policies/{constraint_name}`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the posture, for example, `CIS-Posture`.\n*   `policy` (*type:* `String.t`, *default:* `nil`) - The ID of the updated policy, for example, `compute-policy-1`.\n*   `policyDriftDetails` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.PolicyDriftDetails.t)`, *default:* `nil`) - The details about a change in an updated policy that violates the deployed posture.\n*   `policySet` (*type:* `String.t`, *default:* `nil`) - The name of the updated policyset, for example, `cis-policyset`.\n*   `postureDeployment` (*type:* `String.t`, *default:* `nil`) - The name of the posture deployment, for example, `organizations/{org_id}/posturedeployments/{posture_deployment_id}`.\n*   `postureDeploymentResource` (*type:* `String.t`, *default:* `nil`) - The project, folder, or organization on which the posture is deployed, for example, `projects/{project_number}`.\n*   `revisionId` (*type:* `String.t`, *default:* `nil`) - The version of the posture, for example, `c7cfa2a8`.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SecurityPosture.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo","doc":"Identity delegation history of an authenticated service account.","ref":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo","doc":"*   `principalEmail` (*type:* `String.t`, *default:* `nil`) - The email address of a Google account.\n*   `principalSubject` (*type:* `String.t`, *default:* `nil`) - A string representing the principal_subject associated with the identity. As compared to `principal_email`, supports principals that aren't associated with email addresses, such as third party principals. For most identities, the format will be `principal://iam.googleapis.com/{identity pool name}/subjects/{subject}` except for some GKE identities (GKE_WORKLOAD, FREEFORM, GKE_HUB_WORKLOAD) that are still in the legacy format `serviceAccount:{identity pool name}[{subject}]`","ref":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ServiceAccountDelegationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest","doc":"Request message for updating a finding's state.","ref":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest","doc":"*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The time at which the updated state takes effect.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Required. The desired State of the finding.","ref":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SetFindingStateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest","doc":"Request message for `SetIamPolicy` method.","ref":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest","doc":"*   `policy` (*type:* `GoogleApi.SecurityCenter.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`","ref":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest","doc":"Request message for updating a finding's mute status.","ref":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SetMuteRequest","doc":"*   `mute` (*type:* `String.t`, *default:* `nil`) - Required. The desired state of the Mute.","ref":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SetMuteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest","doc":"Request message to simulate a CustomConfig against a given test resource. Maximum size of the request is 4 MB by default.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest","doc":"*   `customConfig` (*type:* `GoogleApi.SecurityCenter.V1.Model.GoogleCloudSecuritycenterV1CustomConfig.t`, *default:* `nil`) - Required. The custom configuration that you need to test.\n*   `resource` (*type:* `GoogleApi.SecurityCenter.V1.Model.SimulatedResource.t`, *default:* `nil`) - Required. Resource data to simulate custom module against.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse","doc":"Response message for simulating a `SecurityHealthAnalyticsCustomModule` against a given resource.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse","doc":"*   `result` (*type:* `GoogleApi.SecurityCenter.V1.Model.SimulatedResult.t`, *default:* `nil`) - Result for test case in the corresponding request.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SimulateSecurityHealthAnalyticsCustomModuleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource","doc":"Manually constructed resource name. If the custom module evaluates against only the resource data, you can omit the `iam_policy_data` field. If it evaluates only the `iam_policy_data` field, you can omit the resource data.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SimulatedResource","doc":"*   `iamPolicyData` (*type:* `GoogleApi.SecurityCenter.V1.Model.Policy.t`, *default:* `nil`) - Optional. A representation of the IAM policy.\n*   `resourceData` (*type:* `map()`, *default:* `nil`) - Optional. A representation of the Google Cloud resource. Should match the Google Cloud resource JSON format.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the resource, for example, `compute.googleapis.com/Disk`.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult","doc":"Possible test result.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.SimulatedResult","doc":"*   `error` (*type:* `GoogleApi.SecurityCenter.V1.Model.Status.t`, *default:* `nil`) - Error encountered during the test.\n*   `finding` (*type:* `GoogleApi.SecurityCenter.V1.Model.Finding.t`, *default:* `nil`) - Finding that would be published for the test case, if a violation is detected.\n*   `noViolation` (*type:* `GoogleApi.SecurityCenter.V1.Model.Empty.t`, *default:* `nil`) - Indicates that the test case does not trigger any violation.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.SimulatedResult.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Simulation","doc":"Attack path simulation","ref":"GoogleApi.SecurityCenter.V1.Model.Simulation.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Simulation","doc":"*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - Indicates which cloud provider was used in this simulation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Time simulation was created\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name of the Simulation: `organizations/123/simulations/456`\n*   `resourceValueConfigsMetadata` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.t)`, *default:* `nil`) - Resource value configurations' metadata used in this simulation. Maximum of 100.","ref":"GoogleApi.SecurityCenter.V1.Model.Simulation.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Simulation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Simulation.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Simulation.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Simulation.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Source","doc":"Security Command Center finding source. A finding source is an entity or a mechanism that can produce a finding. A source is like a container of findings that come from the same scanner, logger, monitor, and other tools.","ref":"GoogleApi.SecurityCenter.V1.Model.Source.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Source","doc":"*   `canonicalName` (*type:* `String.t`, *default:* `nil`) - The canonical name of the finding source. It's either \"organizations/{organization_id}/sources/{source_id}\", \"folders/{folder_id}/sources/{source_id}\", or \"projects/{project_number}/sources/{source_id}\", depending on the closest CRM ancestor of the resource associated with the finding.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the source (max of 1024 characters). Example: \"Web Security Scanner is a web security scanner for common vulnerabilities in App Engine applications. It can automatically scan and detect four common vulnerabilities, including cross-site-scripting (XSS), Flash injection, mixed content (HTTP in HTTPS), and outdated or insecure libraries.\"\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The source's display name. A source's display name must be unique amongst its siblings, for example, two sources with the same parent can't share the same display name. The display name must have a length between 1 and 64 characters (inclusive).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The relative resource name of this source. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: \"organizations/{organization_id}/sources/{source_id}\"","ref":"GoogleApi.SecurityCenter.V1.Model.Source.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Source.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Source.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Source.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Source.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.StaticMute","doc":"Information about the static mute state. A static mute state overrides any dynamic mute rules that apply to this finding. The static mute state can be set by a static mute rule or by muting the finding directly.","ref":"GoogleApi.SecurityCenter.V1.Model.StaticMute.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.StaticMute","doc":"*   `applyTime` (*type:* `DateTime.t`, *default:* `nil`) - When the static mute was applied.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The static mute state. If the value is `MUTED` or `UNMUTED`, then the finding's overall mute state will have the same value.","ref":"GoogleApi.SecurityCenter.V1.Model.StaticMute.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.StaticMute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.StaticMute.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.StaticMute.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.StaticMute.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.SecurityCenter.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.SecurityCenter.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig","doc":"The config for streaming-based notifications, which send each event as soon as it is detected.","ref":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.StreamingConfig","doc":"*   `filter` (*type:* `String.t`, *default:* `nil`) - Expression that defines the filter to apply across create/update events of assets or findings as specified by the event type. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form ` ` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: * `=` for all value types. * `>`, `<`, `>=`, `<=` for integer values. * `:`, meaning substring matching, for strings. The supported value types are: * string literals in quotes. * integer literals without quotes. * boolean literals `true` and `false` without quotes.","ref":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.StreamingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Subject","doc":"Represents a Kubernetes subject.","ref":"GoogleApi.SecurityCenter.V1.Model.Subject.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Subject","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Authentication type for the subject.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name for the subject.\n*   `ns` (*type:* `String.t`, *default:* `nil`) - Namespace for the subject.","ref":"GoogleApi.SecurityCenter.V1.Model.Subject.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Subject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Subject.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Subject.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Subject.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest","doc":"Request message for `TestIamPermissions` method.","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse","doc":"Response message for `TestIamPermissions` method.","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.TestIamPermissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.TicketInfo","doc":"Information about the ticket, if any, that is being used to track the resolution of the issue that is identified by this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.TicketInfo","doc":"*   `assignee` (*type:* `String.t`, *default:* `nil`) - The assignee of the ticket in the ticket system.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the ticket in the ticket system.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The identifier of the ticket in the ticket system.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The latest status of the ticket, as reported by the ticket system.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the ticket was last updated, as reported by the ticket system.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The link to the ticket in the ticket system.","ref":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.TicketInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination","doc":"Contains details about a group of security issues that, when the issues occur together, represent a greater risk than when the issues occur independently. A group of such issues is referred to as a toxic combination.","ref":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ToxicCombination","doc":"*   `attackExposureScore` (*type:* `float()`, *default:* `nil`) - The [Attack exposure score](https://cloud.google.com/security-command-center/docs/attack-exposure-learn#attack_exposure_scores) of this toxic combination. The score is a measure of how much this toxic combination exposes one or more high-value resources to potential attack.\n*   `relatedFindings` (*type:* `list(String.t)`, *default:* `nil`) - List of resource names of findings associated with this toxic combination. For example, `organizations/123/sources/456/findings/789`.","ref":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ToxicCombination.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest","doc":"Request to validate an Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest","doc":"*   `rawText` (*type:* `String.t`, *default:* `nil`) - Required. The raw text of the module's contents. Used to generate error messages.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the module (e.g. CONFIGURABLE_BAD_IP).","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse","doc":"Response to validating an Event Threat Detection custom module.","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse","doc":"*   `errors` (*type:* `GoogleApi.SecurityCenter.V1.Model.CustomModuleValidationErrors.t`, *default:* `nil`) - A list of errors returned by the validator. If the list is empty, there were no errors.","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ValidateEventThreatDetectionCustomModuleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.ValuedResource","doc":"A resource that is determined to have value to a user's system","ref":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.ValuedResource","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Human-readable name of the valued resource.\n*   `exposedScore` (*type:* `float()`, *default:* `nil`) - Exposed score for this valued resource. A value of 0 means no exposure was detected exposure.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Valued resource name, for example, e.g.: `organizations/123/simulations/456/valuedResources/789`\n*   `resource` (*type:* `String.t`, *default:* `nil`) - The [full resource name](https://cloud.google.com/apis/design/resource_names#full_resource_name) of the valued resource.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - The [resource type](https://cloud.google.com/asset-inventory/docs/supported-asset-types) of the valued resource.\n*   `resourceValue` (*type:* `String.t`, *default:* `nil`) - How valuable this resource is.\n*   `resourceValueConfigsUsed` (*type:* `list(GoogleApi.SecurityCenter.V1.Model.ResourceValueConfigMetadata.t)`, *default:* `nil`) - List of resource value configurations' metadata used to determine the value of this resource. Maximum of 100.","ref":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.ValuedResource.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.Vulnerability","doc":"Refers to common vulnerability fields e.g. cve, cvss, cwe etc.","ref":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.Vulnerability","doc":"*   `cve` (*type:* `GoogleApi.SecurityCenter.V1.Model.Cve.t`, *default:* `nil`) - CVE stands for Common Vulnerabilities and Exposures (https://cve.mitre.org/about/)\n*   `fixedPackage` (*type:* `GoogleApi.SecurityCenter.V1.Model.Package.t`, *default:* `nil`) - The fixed package is relevant to the finding.\n*   `offendingPackage` (*type:* `GoogleApi.SecurityCenter.V1.Model.Package.t`, *default:* `nil`) - The offending package is relevant to the finding.\n*   `securityBulletin` (*type:* `GoogleApi.SecurityCenter.V1.Model.SecurityBulletin.t`, *default:* `nil`) - The security bulletin is relevant to this finding.","ref":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.Vulnerability.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity","doc":"Vulnerability count by severity.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity","doc":"*   `severityToFindingCount` (*type:* `map()`, *default:* `nil`) - Key is the Severity enum.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot","doc":"Result containing the properties and count of a VulnerabilitySnapshot request.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot","doc":"*   `cloudProvider` (*type:* `String.t`, *default:* `nil`) - The cloud provider for the vulnerability snapshot.\n*   `findingCount` (*type:* `GoogleApi.SecurityCenter.V1.Model.VulnerabilityCountBySeverity.t`, *default:* `nil`) - The vulnerability count by severity.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The vulnerability snapshot name. Format: //locations//vulnerabilitySnapshots/\n*   `snapshotTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the snapshot was taken.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.VulnerabilitySnapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature","doc":"A signature corresponding to a YARA rule.","ref":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.html"},{"type":"module","title":"Attributes - GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature","doc":"*   `yaraRule` (*type:* `String.t`, *default:* `nil`) - The name of the YARA rule.","ref":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.html#module-attributes"},{"type":"function","title":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.html#decode/2"},{"type":"type","title":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.t/0","doc":"","ref":"GoogleApi.SecurityCenter.V1.Model.YaraRuleSignature.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}